Bug 11463 - Update request: kernel-3.10.24-2.mga3
: Update request: kernel-3.10.24-2.mga3
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 3
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
: Sec team
:
: advisory MGA3-64-OK MGA3-32-OK
: validated_update
:
: 11059 11307 11464 11465 11466 11467 11510 11886 11930
  Show dependency treegraph
 
Reported: 2013-10-14 22:40 CEST by Thomas Backlund
Modified: 2013-12-18 00:46 CET (History)
12 users (show)

See Also:
Source RPM: kernel-3.10.24-2.mga3
CVE:
Status comment:


Attachments
Output of journalctl as requested (180.54 KB, text/plain)
2013-10-26 16:42 CEST, Andy Liebman
Details

Description Thomas Backlund 2013-10-14 22:40:20 CEST
Here comes the big kernel-3.10 rollout along with some updated 
tools, drivers and firmwares that better match this kernel features...

Advisory and CVE list comes later, but you can start testing:


SRPMS:
btrfs-progs-0.20-0.rc1.20130705.1.mga3.src.rpm
drakxtools-15.54.1-3.mga3.src.rpm
kernel-3.10.16-1.mga3.src.rpm
kernel-firmware-20130624-1.mga3.src.rpm
kernel-userspace-headers-3.10.16-1.mga3.src.rpm
kmod-vboxadditions-4.2.18-3.mga3.src.rpm
kmod-virtualbox-4.2.18-3.mga3.src.rpm
kmod-xtables-addons-2.3-3.mga3.src.rpm
libdrm-2.4.46-1.mga3.src.rpm
virtualbox-4.2.18-1.mga3.src.rpm
x11-driver-video-ati-7.2.0-1.mga3.src.rpm
x11-driver-video-intel-2.21.15-1.mga3.src.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.src.rpm
xtables-addons-2.3-2.mga3.src.rpm

broadcom-wl-6.30.223.141-1.mga3.nonfree.src.rpm
fglrx-13.200.11-0.1.mga3.nonfree.src.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.src.rpm
kmod-broadcom-wl-6.30.223.141-2.mga3.nonfree.src.rpm
kmod-fglrx-13.200.11-3.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.38-19.mga3.nonfree.src.rpm
kmod-nvidia304-304.108-3.mga3.nonfree.src.rpm
kmod-nvidia-current-319.60-3.mga3.nonfree.src.rpm
nvidia173-173.14.38-1.mga3.nonfree.src.rpm
nvidia304-304.108-1.mga3.nonfree.src.rpm
nvidia-current-319.60-1.mga3.nonfree.src.rpm
radeon-firmware-20130626-2.mga3.nonfree.src.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 Thomas Backlund 2013-10-14 22:40:36 CEST
i586:
btrfs-progs-0.20-0.rc1.20130705.1.mga3.i586.rpm
cpupower-3.10.16-1.mga3.i586.rpm
cpupower-devel-3.10.16-1.mga3.i586.rpm
dkms-vboxadditions-4.2.18-1.mga3.noarch.rpm
dkms-virtualbox-4.2.18-1.mga3.noarch.rpm
dkms-xtables-addons-2.3-2.mga3.i586.rpm
drakx-finish-install-15.54.1-3.mga3.i586.rpm
drakxtools-15.54.1-3.mga3.i586.rpm
drakxtools-backend-15.54.1-3.mga3.i586.rpm
drakxtools-curses-15.54.1-3.mga3.i586.rpm
drakxtools-http-15.54.1-3.mga3.i586.rpm
harddrake-15.54.1-3.mga3.i586.rpm
harddrake-ui-15.54.1-3.mga3.i586.rpm
kernel-desktop-3.10.16-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-3.10.16-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.10.16-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.10.16-1.mga3.i586.rpm
kernel-desktop586-latest-3.10.16-1.mga3.i586.rpm
kernel-desktop-devel-3.10.16-1.mga3-1-1.mga3.i586.rpm
kernel-desktop-devel-latest-3.10.16-1.mga3.i586.rpm
kernel-desktop-latest-3.10.16-1.mga3.i586.rpm
kernel-doc-3.10.16-1.mga3.noarch.rpm
kernel-firmware-20130624-1.mga3.noarch.rpm
kernel-server-3.10.16-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-3.10.16-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-latest-3.10.16-1.mga3.i586.rpm
kernel-server-latest-3.10.16-1.mga3.i586.rpm
kernel-source-3.10.16-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.16-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.16-1.mga3.i586.rpm
libaccount0-2.3-2.mga3.i586.rpm
libaccount-devel-2.3-2.mga3.i586.rpm
libbtrfs0-0.20-0.rc1.20130705.1.mga3.i586.rpm
libbtrfs-devel-0.20-0.rc1.20130705.1.mga3.i586.rpm
libdrm2-2.4.46-1.mga3.i586.rpm
libdrm-common-2.4.46-1.mga3.i586.rpm
libdrm-devel-2.4.46-1.mga3.i586.rpm
libdrm_intel1-2.4.46-1.mga3.i586.rpm
libdrm_nouveau2-2.4.46-1.mga3.i586.rpm
libdrm_radeon1-2.4.46-1.mga3.i586.rpm
libdrm-static-devel-2.4.46-1.mga3.i586.rpm
libkms1-2.4.46-1.mga3.i586.rpm
perf-3.10.16-1.mga3.i586.rpm
vboxadditions-kernel-3.10.16-desktop-1.mga3-4.2.18-3.mga3.i586.rpm
vboxadditions-kernel-3.10.16-desktop586-1.mga3-4.2.18-3.mga3.i586.rpm
vboxadditions-kernel-3.10.16-server-1.mga3-4.2.18-3.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.18-3.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.18-3.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.18-3.mga3.i586.rpm
virtualbox-4.2.18-1.mga3.i586.rpm
virtualbox-devel-4.2.18-1.mga3.i586.rpm
virtualbox-guest-additions-4.2.18-1.mga3.i586.rpm
virtualbox-kernel-3.10.16-desktop-1.mga3-4.2.18-3.mga3.i586.rpm
virtualbox-kernel-3.10.16-desktop586-1.mga3-4.2.18-3.mga3.i586.rpm
virtualbox-kernel-3.10.16-server-1.mga3-4.2.18-3.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.18-3.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.18-3.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.18-3.mga3.i586.rpm
x11-driver-video-ati-7.2.0-1.mga3.i586.rpm
x11-driver-video-intel-2.21.15-1.mga3.i586.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.i586.rpm
x11-driver-video-vboxvideo-4.2.18-1.mga3.i586.rpm
xtables-addons-2.3-2.mga3.i586.rpm
xtables-addons-kernel-3.10.16-desktop-1.mga3-2.3-3.mga3.i586.rpm
xtables-addons-kernel-3.10.16-desktop586-1.mga3-2.3-3.mga3.i586.rpm
xtables-addons-kernel-3.10.16-server-1.mga3-2.3-3.mga3.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-3.mga3.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-3.mga3.i586.rpm
xtables-addons-kernel-server-latest-2.3-3.mga3.i586.rpm
xtables-geoip-2.3-2.mga3.noarch.rpm

broadcom-wl-common-6.30.223.141-1.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.16-desktop-1.mga3-6.30.223.141-2.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.16-desktop586-1.mga3-6.30.223.141-2.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.16-server-1.mga3-6.30.223.141-2.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-2.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-2.mga3.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-2.mga3.nonfree.i586.rpm
dkms-broadcom-wl-6.30.223.141-1.mga3.nonfree.i586.rpm
dkms-fglrx-13.200.11-0.1.mga3.nonfree.i586.rpm
dkms-nvidia173-173.14.38-1.mga3.nonfree.i586.rpm
dkms-nvidia304-304.108-1.mga3.nonfree.i586.rpm
dkms-nvidia-current-319.60-1.mga3.nonfree.i586.rpm
fglrx-control-center-13.200.11-0.1.mga3.nonfree.i586.rpm
fglrx-devel-13.200.11-0.1.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.16-desktop-1.mga3-13.200.11-3.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.16-desktop586-1.mga3-13.200.11-3.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.16-server-1.mga3-13.200.11-3.mga3.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.200.11-3.mga3.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.200.11-3.mga3.nonfree.i586.rpm
fglrx-kernel-server-latest-13.200.11-3.mga3.nonfree.i586.rpm
fglrx-opencl-13.200.11-0.1.mga3.nonfree.i586.rpm
iwlwifi-agn-ucode-20130624-1.mga3.nonfree.noarch.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.noarch.rpm
nvidia173-cuda-173.14.38-1.mga3.nonfree.i586.rpm
nvidia173-devel-173.14.38-1.mga3.nonfree.i586.rpm
nvidia173-doc-html-173.14.38-1.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.16-desktop-1.mga3-173.14.38-19.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.16-desktop586-1.mga3-173.14.38-19.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.16-server-1.mga3-173.14.38-19.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.38-19.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.38-19.mga3.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.38-19.mga3.nonfree.i586.rpm
nvidia304-cuda-opencl-304.108-1.mga3.nonfree.i586.rpm
nvidia304-devel-304.108-1.mga3.nonfree.i586.rpm
nvidia304-doc-html-304.108-1.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.16-desktop-1.mga3-304.108-3.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.16-desktop586-1.mga3-304.108-3.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.16-server-1.mga3-304.108-3.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.108-3.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.108-3.mga3.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.108-3.mga3.nonfree.i586.rpm
nvidia-current-cuda-opencl-319.60-1.mga3.nonfree.i586.rpm
nvidia-current-devel-319.60-1.mga3.nonfree.i586.rpm
nvidia-current-doc-html-319.60-1.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.16-desktop-1.mga3-319.60-3.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.16-desktop586-1.mga3-319.60-3.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.16-server-1.mga3-319.60-3.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-319.60-3.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-319.60-3.mga3.nonfree.i586.rpm
nvidia-current-kernel-server-latest-319.60-3.mga3.nonfree.i586.rpm
radeon-firmware-20130626-2.mga3.nonfree.noarch.rpm
ralink-firmware-20130624-1.mga3.nonfree.noarch.rpm
rtlwifi-firmware-20130624-1.mga3.nonfree.noarch.rpm
x11-driver-video-fglrx-13.200.11-0.1.mga3.nonfree.i586.rpm
x11-driver-video-nvidia173-173.14.38-1.mga3.nonfree.i586.rpm
x11-driver-video-nvidia304-304.108-1.mga3.nonfree.i586.rpm
x11-driver-video-nvidia-current-319.60-1.mga3.nonfree.i586.rpm
Comment 2 Thomas Backlund 2013-10-14 22:40:54 CEST
x86_64:
btrfs-progs-0.20-0.rc1.20130705.1.mga3.x86_64.rpm
cpupower-3.10.16-1.mga3.x86_64.rpm
cpupower-devel-3.10.16-1.mga3.x86_64.rpm
dkms-vboxadditions-4.2.18-1.mga3.noarch.rpm
dkms-virtualbox-4.2.18-1.mga3.noarch.rpm
dkms-xtables-addons-2.3-2.mga3.x86_64.rpm
drakx-finish-install-15.54.1-3.mga3.x86_64.rpm
drakxtools-15.54.1-3.mga3.x86_64.rpm
drakxtools-backend-15.54.1-3.mga3.x86_64.rpm
drakxtools-curses-15.54.1-3.mga3.x86_64.rpm
drakxtools-http-15.54.1-3.mga3.x86_64.rpm
harddrake-15.54.1-3.mga3.x86_64.rpm
harddrake-ui-15.54.1-3.mga3.x86_64.rpm
kernel-desktop-3.10.16-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.10.16-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.10.16-1.mga3.x86_64.rpm
kernel-desktop-latest-3.10.16-1.mga3.x86_64.rpm
kernel-doc-3.10.16-1.mga3.noarch.rpm
kernel-firmware-20130624-1.mga3.noarch.rpm
kernel-server-3.10.16-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-3.10.16-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-latest-3.10.16-1.mga3.x86_64.rpm
kernel-server-latest-3.10.16-1.mga3.x86_64.rpm
kernel-source-3.10.16-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.16-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.16-1.mga3.x86_64.rpm
lib64account0-2.3-2.mga3.x86_64.rpm
lib64account-devel-2.3-2.mga3.x86_64.rpm
lib64btrfs0-0.20-0.rc1.20130705.1.mga3.x86_64.rpm
lib64btrfs-devel-0.20-0.rc1.20130705.1.mga3.x86_64.rpm
lib64drm2-2.4.46-1.mga3.x86_64.rpm
lib64drm-devel-2.4.46-1.mga3.x86_64.rpm
lib64drm_intel1-2.4.46-1.mga3.x86_64.rpm
lib64drm_nouveau2-2.4.46-1.mga3.x86_64.rpm
lib64drm_radeon1-2.4.46-1.mga3.x86_64.rpm
lib64drm-static-devel-2.4.46-1.mga3.x86_64.rpm
lib64kms1-2.4.46-1.mga3.x86_64.rpm
libdrm-common-2.4.46-1.mga3.x86_64.rpm
perf-3.10.16-1.mga3.x86_64.rpm
vboxadditions-kernel-3.10.16-desktop-1.mga3-4.2.18-3.mga3.x86_64.rpm
vboxadditions-kernel-3.10.16-server-1.mga3-4.2.18-3.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.18-3.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.18-3.mga3.x86_64.rpm
virtualbox-4.2.18-1.mga3.x86_64.rpm
virtualbox-devel-4.2.18-1.mga3.x86_64.rpm
virtualbox-guest-additions-4.2.18-1.mga3.x86_64.rpm
virtualbox-kernel-3.10.16-desktop-1.mga3-4.2.18-3.mga3.x86_64.rpm
virtualbox-kernel-3.10.16-server-1.mga3-4.2.18-3.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.18-3.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.18-3.mga3.x86_64.rpm
x11-driver-video-ati-7.2.0-1.mga3.x86_64.rpm
x11-driver-video-intel-2.21.15-1.mga3.x86_64.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.x86_64.rpm
x11-driver-video-vboxvideo-4.2.18-1.mga3.x86_64.rpm
xtables-addons-2.3-2.mga3.x86_64.rpm
xtables-addons-kernel-3.10.16-desktop-1.mga3-2.3-3.mga3.x86_64.rpm
xtables-addons-kernel-3.10.16-server-1.mga3-2.3-3.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-3.mga3.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-3.mga3.x86_64.rpm
xtables-geoip-2.3-2.mga3.noarch.rpm

broadcom-wl-common-6.30.223.141-1.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.16-desktop-1.mga3-6.30.223.141-2.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.16-server-1.mga3-6.30.223.141-2.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-2.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-2.mga3.nonfree.x86_64.rpm
dkms-broadcom-wl-6.30.223.141-1.mga3.nonfree.x86_64.rpm
dkms-fglrx-13.200.11-0.1.mga3.nonfree.x86_64.rpm
dkms-nvidia173-173.14.38-1.mga3.nonfree.x86_64.rpm
dkms-nvidia304-304.108-1.mga3.nonfree.x86_64.rpm
dkms-nvidia-current-319.60-1.mga3.nonfree.x86_64.rpm
fglrx-control-center-13.200.11-0.1.mga3.nonfree.x86_64.rpm
fglrx-devel-13.200.11-0.1.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.16-desktop-1.mga3-13.200.11-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.16-server-1.mga3-13.200.11-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.200.11-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.200.11-3.mga3.nonfree.x86_64.rpm
fglrx-opencl-13.200.11-0.1.mga3.nonfree.x86_64.rpm
iwlwifi-agn-ucode-20130624-1.mga3.nonfree.noarch.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.noarch.rpm
nvidia173-cuda-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-devel-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-doc-html-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.16-desktop-1.mga3-173.14.38-19.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.16-server-1.mga3-173.14.38-19.mga3.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.38-19.mga3.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.38-19.mga3.nonfree.x86_64.rpm
nvidia304-cuda-opencl-304.108-1.mga3.nonfree.x86_64.rpm
nvidia304-devel-304.108-1.mga3.nonfree.x86_64.rpm
nvidia304-doc-html-304.108-1.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.16-desktop-1.mga3-304.108-3.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.16-server-1.mga3-304.108-3.mga3.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.108-3.mga3.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.108-3.mga3.nonfree.x86_64.rpm
nvidia-current-cuda-opencl-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-devel-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-doc-html-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.16-desktop-1.mga3-319.60-3.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.16-server-1.mga3-319.60-3.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-319.60-3.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-319.60-3.mga3.nonfree.x86_64.rpm
radeon-firmware-20130626-2.mga3.nonfree.noarch.rpm
ralink-firmware-20130624-1.mga3.nonfree.noarch.rpm
rtlwifi-firmware-20130624-1.mga3.nonfree.noarch.rpm
x11-driver-video-fglrx-13.200.11-0.1.mga3.nonfree.x86_64.rpm
x11-driver-video-nvidia173-173.14.38-1.mga3.nonfree.x86_64.rpm
x11-driver-video-nvidia304-304.108-1.mga3.nonfree.x86_64.rpm
x11-driver-video-nvidia-current-319.60-1.mga3.nonfree.x86_64.rpm
Comment 3 Thomas Backlund 2013-10-14 22:52:46 CEST
This one also belongs to this update:

SRPM:
ldetect-lst-0.1.330-1.mga3.src.rpm

i586:
ldetect-lst-0.1.330-1.mga3.i586.rpm
ldetect-lst-devel-0.1.330-1.mga3.i586.rpm

x86_64:
ldetect-lst-0.1.330-1.mga3.x86_64.rpm
ldetect-lst-devel-0.1.330-1.mga3.x86_64.rpm
Comment 4 Bill Wilkinson 2013-10-15 16:27:55 CEST
Installed both kernel server and desktop x86_64 after installing glibc update.
Dkms modules built correctly (nvidia 304 and virtualbox).

Boots normally, wifi loaded without having to reconfigure in mcc.

for anyone else testing, if you've got a proprietary driver for your video card, you can avoid my boneheaded mistake and update nonfree updates testing too....Just a reminder!

Compaq presario v6000 laptop
ssb             : Broadcom Corporation|BCM4311 802.11a/b/g [NETWORK_OTHER]
(vendor:14e4 device:4312 subv:103c subd:1360) (rev: 01)
Card:NVIDIA GeForce 6100 to GeForce 7950: NVIDIA Corporation|C51 [GeForce Go
6150] [DISPLAY_VGA] (vendor:10de device:0244 subv:103c subd:30b7) (rev: a2)
Dual-core Turion  processor
Comment 5 Manuel Hiebel 2013-10-15 16:46:26 CEST
I have wifi regression

I installed kernel+broadcom-wl (common+dkms)+glibc
at the reboot I could connect to the AP but no ping was possible to it. (destination host unreachable) And so no any network.

After downgrading broadcom-wl it was working again (couldn't test on the new kernel as build failed an no device is seen) on the old kernel (was like the new one before)

My card is a BCM4313, any ideas ?
Comment 6 Bill Wilkinson 2013-10-15 17:48:21 CEST
tested mga3-32 desktop.

Booted normally, dkms modules for nvidia and virtualbox built (modules for kernel-server built at boot after installing nvidia update, glibc, kernel-server and kernel-desktop installed in 1 session).

Card:NVIDIA GeForce 6100 to GeForce 7950: NVIDIA Corporation|NV44A [GeForce 6200] [DISPLAY_VGA] (vendor:10de device:0221 subv:196e subd:02f3) (rev: a1)

Network on ethernet OK.
Comment 7 Lewis Smith 2013-10-15 19:29:26 CEST
MGA3 32-bit, kernel-desktop-3.10.16-1.mga3-1-1.mga3.i586.rpm

Updated all applicable modules on my system cited in Comment1. My video does not include any of the special makes involved; it is SiS which did/does not work properly anyway. The system is Asus 1.5Gb with on-board SiS controllers, IDE I/O. No VirtualBox.

The kernel so far seems OK, and can be presumed so (for me) unless it causes me grief henceforth - which I would report.
Comment 8 William Kenney 2013-10-15 23:57:10 CEST
In VirtualBox, M3, KDE, 32-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 14:04:55 UTC 2013 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga3.i586 is already installed
Marking vboxadditions-kernel-desktop-latest as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.i586 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

reboot system
Fails to come back to a working desktop. Leaves you in a blank screen.
If I interrupt the boot process and select the old kernel ( 3.8.13.4-desktop-1.mga3 )
it boots to a working desktop just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 9 William Kenney 2013-10-15 23:57:33 CEST
In VirtualBox, M3, KDE, 64-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 13:56:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga3.x86_64 is already installed
Marking vboxadditions-kernel-desktop-latest as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.x86_64 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

reboot system

[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.2.18-3.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed

seems like it has come back just fine.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
VirtualBox 4.2.16-1.mga3.x86_64.rpm
Comment 10 William Kenney 2013-10-16 00:29:55 CEST
On real hardware, M3, KDE, 32-bit

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 14:04:55 UTC 2013 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.i586 is already installed

Install glibc & kernel-desktop-latest updates from core updates_testing:

[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:55:43 UTC 2013 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.i586 is already installed

seems like it has come back just fine.

Intel, P4 530J 3.0 GHz, 800MHz FSB, 1MB L2, LGA 775
GigaByte  GA-81915G Pro F4  i915G  LGA 775  MoBo
 Marvel Yukon 88E8001 Gigabit LAN
 Intel High Def Audio, Azalia (C-Media 9880) (snd-hda-intel)
 Intel Graphics Media Accelerator 900 (Intel 82915G)
 
Looks like there's a problem with just Vbox M3 32-bit.
Comment 11 Bill Wilkinson 2013-10-16 04:55:37 CEST
William,

Check if you've downloaded a new nvidia driver on your m3-32 machine.  I ran into a black screen when I tried the m3-64 update, because I hadn't enabled nonfree-updates-testing.  The nvidia kernel module tried to update without the x11 driver, which led to the problem.  Once I updated the x11 driver from nonfree-updates-testing it worked fine.
Comment 12 William Kenney 2013-10-16 06:26:06 CEST
(In reply to Bill Wilkinson from comment #11)

> Check if you've downloaded a new nvidia driver on your m3-32 machine.  I ran
> into a black screen when I tried the m3-64 update, because I hadn't enabled
> nonfree-updates-testing.

That would be true if I was testing with the base machine which does
have an nVidia frame buffer. But, the M3 32-bit under test is running
in a Vbox Client so it sees the generic framebuffer. Plus, M3 64-bit
seems to run just fine.

I put a LOT of time into this today. So I've gotta back off for a bit.
The glibc + kernel updates are really critical and we gotta get it right.

I'll put some more time in Wed/Thur.
Comment 13 Dave Hodgins 2013-10-16 07:43:57 CEST
(In reply to William Kenney from comment #12)
> (In reply to Bill Wilkinson from comment #11)
> That would be true if I was testing with the base machine which does
> have an nVidia frame buffer. But, the M3 32-bit under test is running
> in a Vbox Client so it sees the generic framebuffer. Plus, M3 64-bit
> seems to run just fine.

Confirmed, but it seems to be glibc that is at fault, rather then the
kernel.  Took a working m3 i586 vb install, installed glibc from updates
testing, and rebooted. Also getting the black screen.

No errors in /var/log/Xorg.0.log

From journalctl -b, the only line that looks relevant is
Failed to start Authorization Manager.

Logging in as root on tty2 in the vb guest, and running "service dm restart"
works.  My guess is something related to polkit, but not sure what.
Comment 14 Dave Hodgins 2013-10-16 07:58:07 CEST
Rebooting again, it's working. Very strange. Still using 3.8.13.4-server-1.mga3
in this vb guest.
Comment 15 Thomas Backlund 2013-10-18 21:06:57 CEST
(In reply to Manuel Hiebel from comment #5)
> I have wifi regression
> 
> I installed kernel+broadcom-wl (common+dkms)+glibc
> at the reboot I could connect to the AP but no ping was possible to it.
> (destination host unreachable) And so no any network.
> 
> After downgrading broadcom-wl it was working again (couldn't test on the new
> kernel as build failed an no device is seen) on the old kernel (was like the
> new one before)
> 
> My card is a BCM4313, any ideas ?

Do you use shorewall ?

Did the interface name change ?
Comment 16 Thomas Backlund 2013-10-18 21:13:37 CEST
(In reply to William Kenney from comment #8)
> In VirtualBox, M3, KDE, 32-bit
> 
> [root@localhost wilcal]# uname -a
> Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 14:04:55 UTC 2013
> i686 i686 i686 GNU/Linux
> [root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
> Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga3.i586 is already
> installed
> Marking vboxadditions-kernel-desktop-latest as manually installed, it won't
> be auto-orphaned
> writing /var/lib/rpm/installed-through-deps.list
> [root@localhost wilcal]# urpmi glibc
> Package glibc-2.17-5.mga3.i586 is already installed
> 
> Install glibc & kernel-desktop-latest updates from core updates_testing:
> 
> reboot system
> Fails to come back to a working desktop. Leaves you in a blank screen.
> If I interrupt the boot process and select the old kernel (
> 3.8.13.4-desktop-1.mga3 )
> it boots to a working desktop just fine.
> 
> Test platform:
> Intel Core i7-2600K Sandy Bridge 3.4GHz
> GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
> GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
> RTL8111/8168B PCI Express 1Gbit Ethernet
> DRAM 16GB (4 x 4GB)
> VirtualBox 4.2.16-1.mga3.x86_64.rpm


Hm, did any of the virtualbox packages get installed ? 
Note that there is a 4.2.18 update rolling out with this update
Comment 17 William Kenney 2013-10-18 21:47:56 CEST
I continue to do a lot, and learn a lot, of testing the kernel/glib
combo. Either later today or tomorrow I am going to completely
re-run the test that I did in my Comment 8. I'll check the Vbox
extensions at that time and note their versions. Will a newer
virtualbox (extensions) package work with an older kernel?
Comment 18 David Walser 2013-10-18 22:13:25 CEST
(In reply to William Kenney from comment #17)
> I continue to do a lot, and learn a lot, of testing the kernel/glib
> combo. Either later today or tomorrow I am going to completely
> re-run the test that I did in my Comment 8. I'll check the Vbox
> extensions at that time and note their versions. Will a newer
> virtualbox (extensions) package work with an older kernel?

You just need to make sure that either 1) the appropriate vboxadditions-kernel package is installed for the kernel version you're running, or 2) that you have dkms-vboxadditions installed.
Comment 19 William Kenney 2013-10-18 22:20:59 CEST
Re-rsync'n my repo then retesting it now.
Comment 20 William Kenney 2013-10-18 22:57:08 CEST
Wow, I see it's gonna be a big (local) repo
rebuild so later today for me or tomorrow.
Comment 21 Dave Hodgins 2013-10-19 05:29:27 CEST
Testing complete on Mageia 3 i586, with no serious regressions found.
The dkms modules not being built till reboot is annoying, but not a
reason to block the update.

title 3 3.8.13.4-2.mga dkms modules not built till boot, otherwise ok
title server 3.8.13.4-1.mga3 ok
title tmb-server 3.8.13.4-1.mga3 dkms modules not built till boot, otherwise ok
title tmb-desktop586 3.8.13.4-1.mga3 dkms modules not built till boot, otherwise ok
title desktop586 3.8.13.4-1.mga3 ok
title tmb-desktop 3.8.13.4-1.mga3 ok
title 3 3.8.13.4-0.rt14.2.mga dkms modules not built till boot, otherwise ok
title desktop 3.8.13.4-1.mga3 ok
title tmb-laptop 3.8.13.4-1.mga3 ok
title vserver 3.7.10-1.mga3 dkms modules not built till boot, Exec format error

title tmb-desktop 3.10.16-1.mga3 dkms modules not built till boot, otherwise ok
title vserver 3.10.16-1.mga3 dkms modules not built till boot, otherwise ok
title tmb-desktop586 3.10.16-1.mga3 dkms modules not built till boot, otherwise ok
title 3 3.10.16-0.rt11.1.mga dkms modules not built till boot, otherwise ok
title 3 3.10.16-1.mga dkms modules not built till boot, otherwise ok
title tmb-server 3.10.16-1.mga3 dkms modules not built till boot, otherwise ok
title tmb-laptop 3.10.16-1.mga3 dkms modules not built till boot, otherwise ok
title desktop 3.10.16-1.mga3 iscsitarget modules not built till boot, otherwise ok
title desktop586 3.10.16-1.mga3 iscsitarget modules not built till boot, otherwise ok
title server 3.10.16-1.mga3 iscsitarget modules not built till boot, otherwise ok
Comment 22 William Kenney 2013-10-19 21:11:20 CEST
On real hardware, M3, KDE, 32-bit
Testing:
glibc
kernel-desktop-latest
kernel-linus-latest
kernel-tmb-desktop-latest
kernel-rt-latest
kernel-vserver-latest

[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.i586 is already installed
[wilcal@localhost ~]$ uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 14:04:55 UTC 2013 i686 i686 i686 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.8.13.4-2.mga3 #1 SMP Thu Jul 4 16:00:54 UTC 2013 i686 i686 i686 GNU/Linux ( linus )
[wilcal@localhost ~]$ uname -a
Linux localhost 3.8.13.4-tmb-desktop-1.mga3 #1 SMP PREEMPT Thu Jul 4 17:04:14 UTC 2013 i686 i686 i686 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.8.13.4-0.rt14.2.mga3 #1 SMP PREEMPT RT Fri Jul 12 16:34:31 UTC 2013 i686 i686 i686 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.7.10-vserver-1.mga3 #1 SMP Sun Apr 7 21:43:17 UTC 2013 i686 i686 i686 GNU/Linux

All boot to a working desktop

Install kernel-desktop-latest kernel-linus-latest kernel-tmb-desktop-latest 
kernel-rt-latest kernel-vserver-latest from updates_testing

[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.i586 is already installed
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:55:43 UTC 2013 i686 i686 i686 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-1.mga3 #1 SMP Mon Oct 14 17:09:39 UTC 2013 i686 i686 i686 GNU/Linux ( linus )
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-tmb-desktop-1.mga3 #1 SMP PREEMPT Mon Oct 14 17:08:45 UTC 2013 i686 i686 i686 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-0.rt11.1.mga3 #1 SMP PREEMPT RT Mon Oct 14 16:43:43 UTC 2013 i686 i686 i686 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-vserver-1.mga3 #1 SMP Mon Oct 14 17:02:05 UTC 2013 i686 i686 i686 GNU/Linux

All boot to a working desktop

Intel, P4 530J 3.0 GHz, 800MHz FSB, 1MB L2, LGA 775
GigaByte  GA-81915G Pro F4  i915G  LGA 775  MoBo
 Marvel Yukon 88E8001 Gigabit LAN
 Intel High Def Audio, Azalia (C-Media 9880) (snd-hda-intel)
 Intel Graphics Media Accelerator 900 (Intel 82915G)
Comment 23 William Kenney 2013-10-20 00:12:53 CEST
On real hardware, M3, KDE, 64-bit, nVidia

I'm still struggling getting my nVidia based i7 system to
use the update_testing kernel and nVidia drivers. Could
someone list here the packages you would expect to be
initially installed then updated, versions. It continues
to fall back to nouveau after initially using the nVidia
driver.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)

Thanks
Comment 24 roelof Wobben 2013-10-21 20:35:56 CEST
I tested it also and found no problems.

Test platform : 

Intel dualcore 
Asus motherboard
Nvidia Geforce 620 2G
4 Gb memory

Roelof
Comment 25 William Kenney 2013-10-21 21:20:49 CEST
(In reply to roelof Wobben from comment #24)

> I tested it also and found no problems.

Did you check to see if your system was using
either the nouveau or nVidia the driver?
Use lspci -k
Comment 26 roelof Wobben 2013-10-21 21:31:05 CEST
Oops, 

not good ; 

01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610] (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 8411
	Kernel driver in use: nouveau

Roelof

Now having to find out how to make the nvidia driver work
Comment 27 roelof Wobben 2013-10-21 22:39:34 CEST
Another question : Is it possible to check the initramfs so we could check if the nvidia driver is included into it.

Roelof
Comment 28 William Kenney 2013-10-21 22:47:02 CEST
(In reply to roelof Wobben from comment #26)
> Oops, 
> 
> not good ; 
> 
> 01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610]
> (rev a1)
> 	Subsystem: ASUSTeK Computer Inc. Device 8411
> 	Kernel driver in use: nouveau
> 
> Roelof
> 
> Now having to find out how to make the nvidia driver work

Perfect roelof. Many many thanks for going through the effort
to test this. This is hard to go through this as for me it
requires a complete install from ground up, the normal install
of the nVidia driver, then the process of adding the updates_testing
repo, installing kernel_desktop_latest and whatever you think
you need then rebooting. Every time I've done that the updated
system defaults back to the nouveau driver. My suspects are:

1. I don't know what I am doing
2. I'm not updating all the necessary apps
3. There really is a problem here.

Note this is the first time I've ever put this much testing
effort into updates_testing of glibc & kernel ( and all it's
flavors ) so I'm thinking #1 is what's going on here.

I think someone here is gonna tell us what we need to do
to test this properly, or acknowledge that there is something
wrong. I'm running into problems updating with nVidia and
virtualbox_extensions. Probably because of #1 & #2 above.

If I do a normal update on real hardware with no special
drivers all the kernels install just fine, see my comment #22.

Thanks again.
Comment 29 William Kenney 2013-10-21 23:02:06 CEST
Here's the latest testing that I did that resulted in defaulting
back to the nouveau driver. I will be doing additional testing
in the next day(s). Feel free to suggest additional apps that
must be update in order to retain the nvidia driver after the
update process.

On real hardware, M3, KDE, 64-bit

Testing:
glibc
nvidia-current-kernel-desktop-latest
dkms-nvidia-current
nvidia-current-kernel ( No package named nvidia-current-kernel )
nvidia-current-kernel-desktop-latest
x11-driver-video-nvidia-current
kernel-desktop-latest

lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Giga-byte Technology Device 3518
Kernel driver in use: nvidia

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 13:56:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-319.17-7.mga3.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-319.17-1.mga3.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-nvidia-current
Package x11-driver-video-nvidia-current-319.17-1.mga3.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.8.13.4-1.mga3.x86_64 is already installed

Install kernel-desktop-latest from the MCC

The following 9 packages are going to be installed:

- dkms-nvidia-current-319.60-1.mga3.nonfree.x86_64
- glibc-2.17-7.1.mga3.x86_64
- glibc-devel-2.17-7.1.mga3.x86_64
- kernel-desktop-3.10.16-1.mga3-1-1.mga3.x86_64
- kernel-desktop-latest-3.10.16-1.mga3.x86_64
- kernel-firmware-20130624-1.mga3.noarch
- kernel-firmware-nonfree-20130624-1.mga3.nonfree.noarch
- meta-task-3-43.mga3.noarch
- radeon-firmware-20130626-2.mga3.nonfree.noarch

Boots to working desktop but defaults to the nouveau driver.

[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed

lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Giga-byte Technology Device 3518
Kernel driver in use: nouveau

installed:
nvidia-current-kernel-desktop-latest Version: 319.60-3.mga3.nonfree
dkms-nvidia-current Version: 319.60-1.mga3.nonfree
x11-driver-video-nvidia-current Version: 319.60-1.mga3.nonfree

Fell free to make suggestions. Or. What am I doing wrong?

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 30 William Kenney 2013-10-21 23:29:00 CEST
(In reply to roelof Wobben from comment #27)

> Another question : Is it possible to check the initramfs so we could check
> if the nvidia driver is included into it.

Someone else here is going to have to answer that one.
I'm sure they will.

I'm sure this is all going to boil down to a testing procedure.
Comment 31 Thomas Backlund 2013-10-21 23:34:28 CEST
(In reply to roelof Wobben from comment #27)
> Another question : Is it possible to check the initramfs so we could check
> if the nvidia driver is included into it.
> 


lsinitrd |grep nvidia
Comment 32 Dave Hodgins 2013-10-22 00:32:33 CEST
roelof and William, all of my systems use ati drivers, so
I'm not really familiar with nvidia.

It may be due to installing nvidia-current-...latest, instead
of nvidia173-kernel-...-latest or nvidia304-kernel-...-latest.

Where ... is kernel version.

It may be better for testing, this, to use
"drakrpm-edit-media --expert", and not only enable the updates
testing repos, but also mark them as update repos, then run
"urpmi --auto-select".

That will pull in updates not related to this test, so if you
have the space available, it's a good idea to backup the contents
of the affected partitions, before the test, and restore them
after the test. That's what I've been doing for my kernel tests.
Comment 33 William Kenney 2013-10-22 00:44:30 CEST
(In reply to Dave Hodgins from comment #32)

> .....
> That will pull in updates not related to this test, so if you
> have the space available, it's a good idea to backup the contents
> of the affected partitions, before the test, and restore them
> after the test. That's what I've been doing for my kernel tests.

Thanks for the info Dave. FWIW both of the systems I am testing
on have removable replaceable hard drives. So basically the
drives I am using are "scratch" drives and contain nothing but
the install under test. For this testing I am doing an install
from scratch, both 32 & 64 bit, then updating that install to
the latest released updates. Then record the drivers as installed,
then enable the updates_testing repos which are on a local
server for me. A successful example of this is in my Comment #22

The testing methodology worked just fine there and I accomplished
a successful glib/kernel update_testing with all the kernels.

Somehow I/we need to find a way to do the same thing with the
Vbox and nVidia drivers in play. I've updated my nVidia platform
in the past and that's been just fine. So either there's something
new going on here or I'm not testing it all correctly. I'm much
more thinking I am doing something wrong. Once I find that out
I/we can put that process in this bug report and repeat that
process in the future.
Comment 34 Dave Hodgins 2013-10-22 03:50:53 CEST
Testing Mageia 3 x86_64, problem found.

title desktop 3.8.13.4-1.mga3 ok
title vserver 3.7.10-1.mga3 dkms modules not built till boot. Otherwise, ok
title server 3.8.13.4-1.mga3 ok
title tmb-desktop 3.8.13.4-1.mga3 dkms modules not built till boot. Otherwise, ok
title 3 3.8.13.4-2.mga ok
title tmb-laptop 3.8.13.4-1.mga3 ok
title tmb-server 3.8.13.4-1.mga3 ok

title tmb-server 3.10.16-1.mga3 dkms modules not built till boot. Otherwise, ok
title 3 3.10.16-0.rt11.1.mga dkms modules not built till boot. Otherwise, ok
title tmb-laptop 3.10.16-1.mga3 dkms modules not built till boot. Otherwise, ok
title 3 3.10.16-1.mgad kms modules not built till boot. Otherwise, ok
title vserver 3.10.16-1.mga3 dkms modules not built till boot. Otherwise, ok
title tmb-desktop 3.10.16-1.mga3 dkms modules not built till boot. Black screen on autologin. Had to restart X to get desktop
title desktop 3.10.16-1.mga3 dkms modules not built till boot. Otherwise, ok
title server 3.10.16-1.mga3 dkms modules not built till boot. Otherwise, ok

Sorry for the slight mess in the order of things above, but that's based
on what the kernel updates put in menu.lst.

None of the kernel updates built the dkms modules during install.
With tmb-desktop I had to restart X using alt+ctrl+bs twice, to get a
working desktop. Prior to that I waited several minutes with a black
screen, which was showing a moveable mouse cursor.
Comment 35 William Kenney 2013-10-22 04:53:58 CEST
On real hardware, M3, KDE, 64-bit no nVidia driver

Testing:
glibc kernel-desktop-latest ldetect-lst

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 13:56:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.8.13.4-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.327-1.mga3.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Giga-byte Technology Device 3518
Kernel driver in use: nouveau
[root@localhost wilcal]# lsinitrd | grep nouveau
drwxr-xr-x   2 root     root            0 Oct 21 19:12 usr/lib/modules/3.8.13.4-desktop-1.mga3/kernel/drivers/gpu/drm/nouveau
-rw-r--r--   1 root     root       291252 Oct 21 19:12 usr/lib/modules/3.8.13.4-desktop-1.mga3/kernel/drivers/gpu/drm/nouveau/nouveau.ko.xz
lsinitrd | grep nvidia
no nVidia driver installed

Boots to a working desktop

install glibc kernel-desktop-latest ldetect-lst from updates_testing

[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.10.16-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.330-1.mga3.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Gigabyte Technology Co., Ltd Device 3518
Kernel driver in use: nouveau
[root@localhost wilcal]# lsinitrd | grep nouveau
drwxr-xr-x   2 root     root            0 Oct 21 19:43 usr/lib/modules/3.10.16-desktop-1.mga3/kernel/drivers/gpu/drm/nouveau
-rw-r--r--   1 root     root       308856 Oct 21 19:43 usr/lib/modules/3.10.16-desktop-1.mga3/kernel/drivers/gpu/drm/nouveau/nouveau.ko.xz
lsinitrd | grep nvidia
no nVidia driver installed

Boots to a working desktop
So that worked just fine so long as I didn't use the nVidia driver

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 36 William Kenney 2013-10-22 05:35:38 CEST
On real hardware, M3, KDE, 64-bit no nVidia driver
Using install and updated platform in Comment 35

Install and Testing:
kernel-linus-latest
kernel-tmb-desktop-latest
kernel-rt-latest
kernel-vserver-latest

[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-1.mga3 #1 SMP Mon Oct 14 17:00:11 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux  ( linus )
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-tmb-desktop-1.mga3 #1 SMP PREEMPT Mon Oct 14 17:06:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-0.rt11.1.mga3 #1 SMP PREEMPT RT Mon Oct 14 16:46:08 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-vserver-1.mga3 #1 SMP Mon Oct 14 16:52:19 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

All boot to a working desktop

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 37 William Kenney 2013-10-22 06:13:24 CEST
On real hardware, M3, KDE, 64-bit attempted install of nVidia driver
Using install and updated platform in Comment 35

Testing:
kernel-latest-desktop w/nvidia driver

[wilcal@localhost ~]$ uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.10.16-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.330-1.mga3.x86_64 is already installed
[root@localhost wilcal]# lspci -k                                                                                                        
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)                                                                
Subsystem: Gigabyte Technology Co., Ltd Device 3518                                                                                          
Kernel driver in use: nouveau                                                                                                                
[root@localhost wilcal]# lsinitrd | grep nouveau
drwxr-xr-x   2 root     root            0 Oct 21 19:43 usr/lib/modules/3.10.16-desktop-1.mga3/kernel/drivers/gpu/drm/nouveau
-rw-r--r--   1 root     root       308856 Oct 21 19:43 usr/lib/modules/3.10.16-desktop-1.mga3/kernel/drivers/gpu/drm/nouveau/nouveau.ko.xz

Using MCC install the nVidia driver

[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-vserver-1.mga3 #1 SMP Mon Oct 14 16:52:19 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.10.16-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.330-1.mga3.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Gigabyte Technology Co., Ltd Device 3518
Kernel driver in use: nouveau
[root@localhost wilcal]# lsinitrd | grep nvidia
nothing
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-319.60-3.mga3.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-319.60-1.mga3.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-nvidia-current
Package x11-driver-video-nvidia-current-319.60-1.mga3.nonfree.x86_64 is already installed

Boots to using nouveau driver.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 38 claire robinson 2013-10-22 10:12:43 CEST
Tested OK mga3 64 here with kernel-{desktop,server}-latest and the 
nvidia-current-kernel-{desktop,server}-latest modules

I'll repeat to test the dkms modules.

Q6600 and Nvidia GT220 in this one.

I wonder if the issues William is having could be due to the current cauldron issues with intel/nvidia (bug 11310) Sandy bridge/Nvidia is one of the systems affected by that.
Comment 39 claire robinson 2013-10-22 11:34:47 CEST
Tested ok mga3 64 with kernel-{desktop,server}-latest and the dkms-nvidia-current after removing the nvidia-current-kernel-*-latest ones and remembering to install kernel-server-devel-latest.

Also dkms-broadcom-wl and dkms-virtualbox build ok, I'm unable to test broadcom-wl without the hardware but virtualbox is fine too.

Some user friendly additions would be for dkms-*  packages to check for/offer to install the kernel-*-devel for installed kernels in %pre or %post (probably %pre would be better), and also the same for kernel-*-latest if dkms packages are installed.

Also, an issue with MCC/drakx11 once it has switched to nouveau due to missing kernel devel, switching back to nvidia doesn't recognise dkms-nvidia and installs the kernel-*-latest and nvidia-current-kernel-*-latest packages again rather than the kernel devel.
Comment 40 roelof Wobben 2013-10-22 15:08:59 CEST
After installing : 

kernel-desktop-latest
nvidia-current-kernel-desktop-latest
kernel-desktop-devel-latest
dkms-nvidia-current

Still this output : 

01:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610] (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 8411
	Kernel driver in use: nouveau




lsinitrd | grep nvidia  gives no output.

Roelof
Comment 41 claire robinson 2013-10-22 15:26:16 CEST
You'll need to go through the steps of using drakx11 or 'Setup the graphical server' in mcc and choosing configure graphics card. Once you click OK there it asks if you want to use the proprietary driver and install anything that's missing and then tell you to reboot.

It configures it to use the pre-built nvidia-current-kernel-* though rather than the dkms-nvidia-current so when you want to test dkms you have to uninstall the nvidia-current-kernel-3.10.16-desktop-1 or nvidia-current-kernel-3.10.16-server-1, whichever you are testing.
Comment 42 William Kenney 2013-10-22 16:32:52 CEST
(In reply to claire robinson from comment #41)

> You'll need to go through the steps of using drakx11 or 'Setup the graphical
> server' in mcc and choosing configure graphics card. Once you click OK there
> it asks if you want to use the proprietary driver and install anything
> that's missing and then tell you to reboot.

I actually did that, see my Comment 37. The initial install was
with nVidia. Upgrading with the MCC it ended up in nouveau.
I am still of the belief that I don't understand something.
More testing today using the same platform. I'm going to
see what M4 does on the same platform same procedure.
Comment 43 roelof Wobben 2013-10-22 17:01:01 CEST
Clair: 

I did that also but I use draxx11.

I get a message that I have to reboot
So I did.
And then booting stops here :

started authorization manager 
Started LSB : update the intel/amd cpu microcode.

And then nothing happens for a hour.

Roelof
Comment 44 claire robinson 2013-10-22 17:06:16 CEST
what CPU / GPU(s) do you have Roelof?
Comment 45 claire robinson 2013-10-22 17:08:22 CEST
Also did you update all the other packages relevant to this update, see comment 1 & comment 2 for the lists.

It's easiest to do this with MageiaUpdate once you've enabled Core Updates Testing and Nonfree Updates Testing (and have previously configured them to allow updates)
Comment 46 claire robinson 2013-10-22 17:09:16 CEST
(In reply to claire robinson from comment #45)
> Also did you update all the other packages relevant to this update, see
> comment 1 & comment 2 for the lists.

..and comment 3 for ldetect-lst
Comment 47 roelof Wobben 2013-10-22 17:15:00 CEST
Hello Claire. 

I have a intel dual core cpu and a Nvida Geforce 2600 GPU.
I only installed the kernel update with urpmi and run drakx11.

Can you expain to me how I can update with mcc. 

Roelof
Comment 48 William Kenney 2013-10-22 17:16:34 CEST
I've got some more testing to do on this today but I tried M4 64-bit nVidia
using M4A3 from the Classic DVD installer. The initial install resulted in
a normal nVidia driver running. But, when I did an update on the kernel
sure enough it fell back to nouveau.
Comment 49 roelof Wobben 2013-10-22 19:57:09 CEST
I did try it on a clean install. 
I enabled the testing repos
After that I installed the kernel-latest.

I accepted the depedencies and let everything installed.
Rebooted
Run drakx11 and rebooted again.

But still the nouveau driver is used because the property driver cannot be found.

Roelof
Comment 50 roelof Wobben 2013-10-22 19:58:04 CEST
I did everything on MCC with updates. I only check the kernel-latest package.

Roelof
Comment 51 claire robinson 2013-10-22 20:31:07 CEST
Does your processor have built-in graphics Roelof, like Sandy bridge or Ivy bridge?
Comment 52 claire robinson 2013-10-22 20:33:56 CEST
lspcidrake should give more details
Comment 53 William Kenney 2013-10-22 21:38:10 CEST
Very good news here.

On real hardware, M4, KDE, 64-bit attempt a complete system update
with nVidia driver using M4A3 64-bit Classic Installer on a USB drive

Testing:
kernel-latest-desktop w/nvidia driver

New complete install of M4A3 from ISO

[wilcal@localhost ~]$ uname -a
Linux localhost 3.11.2-desktop-2.mga4 #1 SMP Mon Sep 30 12:31:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[wilcal@localhost ~]$ lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Gigabyte Technology Co., Ltd Device 3518
Kernel driver in use: nvidia
Kernel modules: nvidiafb, nouveau, nvidia_current

Using MCC allow an update of the entire install, over 1800 files

[wilcal@localhost ~]$ uname -a
Linux localhost 3.12.0-desktop-0.rc5.2.mga4 #1 SMP Wed Oct 16 12:37:08 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[wilcal@localhost ~]$ lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Gigabyte Technology Co., Ltd Device 3518
Kernel driver in use: nvidia
Kernel modules: nvidiafb, nouveau, nvidia_current

Boots to using nvidia driver. So having successfully updated M4A3
I would expect that the same thing can be done with M3 testing just
the kernel-latest-desktop. I/we just don't know how to do it yet
without having to update the entire system.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 54 roelof Wobben 2013-10-22 21:42:47 CEST
Claire : Not that I know but here is the output of lspcidrake:

atl1c           : Qualcomm Atheros|AR8131 Gigabit Ethernet [NETWORK_ETHERNET] (rev: c0)
snd_hda_intel   : NVIDIA Corporation|GF119 HDMI Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: a1)
Card:NVIDIA GeForce 400 series and later: NVIDIA Corporation|GF119 [GeForce GT 610] [DISPLAY_VGA] (rev: a1)
ata_piix        : Intel Corporation|NM10/ICH7 Family SATA Controller [IDE mode] [STORAGE_IDE] (rev: 01)
ata_piix        : Intel Corporation|82801G (ICH7 Family) IDE Controller [STORAGE_IDE] (rev: 01)
intel_rng       : Intel Corporation|82801GB/GR (ICH7 Family) LPC Interface Bridge [BRIDGE_ISA] (rev: 01)
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (rev: e1)
ehci_pci        : Intel Corporation|NM10/ICH7 Family USB2 EHCI Controller [SERIAL_USB] (rev: 01)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #4 [SERIAL_USB] (rev: 01)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #3 [SERIAL_USB] (rev: 01)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #2 [SERIAL_USB] (rev: 01)
uhci_hcd        : Intel Corporation|NM10/ICH7 Family USB UHCI Controller #1 [SERIAL_USB] (rev: 01)
shpchp          : Intel Corporation|NM10/ICH7 Family PCI Express Port 2 [BRIDGE_PCI] (rev: 01)
shpchp          : Intel Corporation|NM10/ICH7 Family PCI Express Port 1 [BRIDGE_PCI] (rev: 01)
snd_hda_intel   : Intel Corporation|NM10/ICH7 Family High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: 01)
shpchp          : Intel Corporation|4 Series Chipset PCI Express Root Port [BRIDGE_PCI] (rev: 03)
unknown         : Intel Corporation|4 Series Chipset DRAM Controller [BRIDGE_HOST] (rev: 03)
hub             : Linux 3.10.16-desktop-1.mga3 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usb_storage     : Generic|Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
hub             : Linux 3.10.16-desktop-1.mga3 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.10.16-desktop-1.mga3 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.10.16-desktop-1.mga3 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usbhid          : Logitech|USB-PS/2 Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
hub             : Linux 3.10.16-desktop-1.mga3 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usbhid          : Microsoft|Wired Keyboard 600 [Human Interface Device|Boot Interface Subclass|Keyboard]
hid_generic     : Microsoft Wired Keyboard 600
hid_generic     : Microsoft Wired Keyboard 600
hid_generic     : Logitech USB-PS/2 Optical Mouse
Comment 55 roelof Wobben 2013-10-22 21:49:31 CEST
one wierd thing I remember now.

When I checked the kernel one of the dependencies was a radeon file.
What I wierd because I have a nvidia card and not a ati card.

Roelof
Comment 56 Manuel Hiebel 2013-10-22 23:01:27 CEST
(In reply to Thomas Backlund from comment #15)
> (In reply to Manuel Hiebel from comment #5)
> > I have wifi regression
> > 
> > I installed kernel+broadcom-wl (common+dkms)+glibc
> > at the reboot I could connect to the AP but no ping was possible to it.
> > (destination host unreachable) And so no any network.
> > 
> > After downgrading broadcom-wl it was working again (couldn't test on the new
> > kernel as build failed an no device is seen) on the old kernel (was like the
> > new one before)
> > 
> > My card is a BCM4313, any ideas ?
> 
> Do you use shorewall ?
> 
It was disabled.
> Did the interface name change ?
Nope.
I switched to bmca instead of wl and it seems to work nice, don't know what was happening, no more issue for this update for me.
Comment 57 claire robinson 2013-10-23 09:20:24 CEST
Thomas, can we get your input on these things please.
Comment 58 Andy Liebman 2013-10-23 15:55:07 CEST
I ran into problems with fglrx and Gnome 3.  No problems with KDE or Gnome Classick. I also reported in ticket 11510: 

As part of my troubleshooting a problem with the b43 module and the broadcom 4331 chipset (Macbook Pro 8,2), I tested the 3.10.16 kernel that is in updates-testing. 

I installed the new kernel. I uninstalled all of the older fglrx rpms (including fglrx-kernel-3.8.13-desktop-1.mga3-12.104.7, fglrx-kernel-desktop-latest-12.104.7, dkms-fglrx-12.104-2, fglrx-control-center-12.104-3 and x11-driver-video-fglrx-12.104.7) and then installed the same 5 packages from updates-testing. 

DKMS built the fglrx module fine. After rebooting, Gnome-3.6 is very slow for any text input.  Dragging around windows is fine in Gnome 3.6, but if I open a terminal and try to type, or try to type in a web browser, I only get about 1 character every few seconds. If I log out and log back in using Gnome Classic or KDE, everything seems fine. 

I have tried this whole procedure twice and had the same experience both times. Can I help you troubleshoot this?
Comment 59 Andy Liebman 2013-10-23 19:39:34 CEST
One more thing to add to my report.  It seems the new fglrx just plain breaks Gnome 3.6 even when I boot up with 3.8.13-desktop-1.  I get exactly the same problem with keyboard input not working in Gnome 3.6, but being okay in KDE and Gnome Classic.   

(By the way, I reverted the update to 3.8.13-4 back to 3.8.13-desktop-1, because the 3.8.13-4 update broke my b43 driver badly).
Comment 60 claire robinson 2013-10-23 19:50:27 CEST
Did you remember to install the ldetect-lst and glibc too Andy?

"reverted the update to 3.8.13-4 back to 3.8.13-desktop-1, because the 3.8.13-4 update broke my b43 driver"

Can you confirm you were not using kernel-linus when that happened please. The kernel numbering suggests it may have been. If that was the case then you'd need to use the dkms module for it rather than the pre-built one.
Comment 61 roelof Wobben 2013-10-23 20:05:45 CEST
Claire : any suggest for my nvidia problem ?

Roelof
Comment 62 William Kenney 2013-10-23 20:08:46 CEST
(In reply to roelof Wobben from comment #61)

> Claire : any suggest for my nvidia problem ?

I suspect there'll be some spirited discussion
of all of this at tomorrows QA meeting.
Comment 63 William Kenney 2013-10-23 21:08:16 CEST
On real hardware, M3, KDE, 64-bit attempted update
of kernel and nVidia driver from updates_testing

Testing:
glibc kernel-desktop-latest ldetect-lst

[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.8.13.4-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.327-1.mga3.x86_64 is already installed
[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 13:56:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Giga-byte Technology Device 3518
Kernel driver in use: nvidia

Boots to working desktop w/nvidia driver

enable upgrades_testing repo

reboot system

update just glibc, looks like the updates_testing kernel comes with it

reboot

[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.10.16-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.330-1.mga3.x86_64 is already installed
[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Gigabyte Technology Co., Ltd Device 3518
Kernel driver in use: nouveau

Falls back to nouveau. I can find no clear path to update_testing the
kernel-desktop-latest-3.10.16-1.mga3.x86_64 driver and retain the
nvidia driver. Even after the update if I attempt to reinstall the
nvidia driver using MCC -> Hardware -> Set up graphical server
and reinstall the nvidia driver that does not work either.
In fact doing that results in a system that hangs on boot.
Comment 64 Andy Liebman 2013-10-24 15:46:23 CEST
(In reply to claire robinson from comment #60)
> Did you remember to install the ldetect-lst and glibc too Andy?
> 
> "reverted the update to 3.8.13-4 back to 3.8.13-desktop-1, because the
> 3.8.13-4 update broke my b43 driver"
> 
> Can you confirm you were not using kernel-linus when that happened please.
> The kernel numbering suggests it may have been. If that was the case then
> you'd need to use the dkms module for it rather than the pre-built one.

First time, I updated directly from updates-testing.  I added that repo and when I updated to the new kernel and new fglrx, that also updated glibc (and gcc++ I believe). When that didn't work properly with Gnome 3.6, and when it didn't solve my b43 driver issue, I reverted all the way back to 3.8.13-desktop-1 (not the update to 3.8.13-4, because that was also broken with b43, and testing the Live DVD b43 worked properly (at least at my home0, so I wanted to revert to the original release kernel).  In order to revert, I had to go back to the release glibc and gcc++.  I downloaded all the packages and did: 

rpm -U --oldpackage {package names} to "update backwards". 

That worked fine, and fglrx worked properly again with Gnome.  So, with the original kernel, original fglrx, and original glibc, I am running okay (with all other updates -- I excluded further kernel updates from automatic updates by editing the /etc/urpmi/skip.list file. 

After doing that, b43 was good at home.  However, it's not working at my office -- disconnecting constantly.  b43 maintainers asked me to try latest kernel. I compiled 3.11 but had some issues with it, so I gave 3.10.16 another try.  This time, I downloaded the source rpm from Mageia and did

rpmbuild --rebuild  {kernel source rpm}

So I built it against the original glibc that was in the release of Mageia 3, not against the new glibc.  That was for the kernel.  I still had to use the fglrx and dkms from updates-testing (core and nonfree).  They build fine with dkms and they work fine in KDE and Gnome Classic (and I can verify that fglrx is loaded and running -- fgl_glxgears works, for instance). But I still have the same problem with Gnome 3.6 that I had when I updated to the first time around -- when I DID install the new glibc. 

I did not, to my knowledge, install a new version of ldetect.1st -- neither the first time around nor this time.  It certainly didn't get installed automatically when I added the updates-testing repos and updated the kernel. 

Let me know if you want more information.
Comment 65 claire robinson 2013-10-24 16:07:21 CEST
There are various lib's, firmware and ldetect-lst from both core updates testing and nonfree updates testing as part of this update. See comment 1, comment 2 & comment 3 for the lists.
Comment 66 claire robinson 2013-10-24 16:15:18 CEST
(In reply to Andy Liebman from comment #64)

> I did not, to my knowledge, install a new version of ldetect.1st -- neither
> the first time around nor this time.  It certainly didn't get installed
> automatically when I added the updates-testing repos and updated the kernel. 


Very little gets installed automatically when working with the testing medias. Please manually select any packages from the above comments which you have installed to be updated to their new versions from the core & nonfree updates testing medias.

The easiest way to do so is using MCC -> Update your system (MageiaUpdate as root) and scroll through the list, ticking the relevant packages. Your medias will need to be configured to allow updates from Testing medias and also the two testing medias mentioned need to be enabled.

To allow updates from testing medias you need to run 'drakrpm-edit-media --expert' as root and tick the relevant ones in the 'Updates' column.
Comment 67 Andy Liebman 2013-10-24 16:57:43 CEST
(In reply to claire robinson from comment #66)

> 
> To allow updates from testing medias you need to run 'drakrpm-edit-media
> --expert' as root and tick the relevant ones in the 'Updates' column.

That's what I did the first time around.  The only package that was missing was ldetect.1st, as apparently it's not a dependency of the kernel or fglrx.  

Would that package, ldetect.1st, account for the problems with Gnome?
Comment 68 William Kenney 2013-10-24 19:57:41 CEST
SUCCESS HERE!!!!!

On real hardware, M3, KDE, 64-bit attempted update
of kernel and nVidia driver from updates_testing

Testing:
glibc kernel-desktop-latest ldetect-lst

Start with an updated M3 system:

[root@localhost wilcal]# uname -a
Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 13:56:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-5.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.8.13.4-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.327-1.mga3.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Giga-byte Technology Device 3518
Kernel driver in use: nvidia
Kernel modules: nvidiafb, nouveau, nvidia_current

Boots to working desktop w/nvidia driver

Enable the entire updates_testing repo as both Enabled and Updates

MCC ->  Software Management -> Update your system

Allow the entire system to update including all packages in updates_testing

reboot

[root@localhost wilcal]# uname -a
Linux localhost 3.10.16-desktop-1.mga3 #1 SMP Mon Oct 14 17:29:36 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi glibc
Package glibc-2.17-7.1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.10.16-1.mga3.x86_64 is already installed
[root@localhost wilcal]# urpmi ldetect-lst
Package ldetect-lst-0.1.330-1.mga3.x86_64 is already installed
[root@localhost wilcal]# lspci -k
VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
Subsystem: Gigabyte Technology Co., Ltd Device 3518
Kernel driver in use: nvidia
Kernel modules: nvidiafb, nouveau, nvidia_current

Boots to working desktop with the new nvidia driver in updates_testing
Comment 69 claire robinson 2013-10-24 20:00:48 CEST
Configuring the medias properly is essential. You shouldn't install everything from updates testing though, just selectively install the ones listed in the comments at the top, and do the same for glibc in bug 11059 as the two go together.
Comment 70 William Kenney 2013-10-24 20:19:07 CEST
(In reply to claire robinson from comment #69)

> You shouldn't install everything from updates testing though, just selectively > install the ones......

Work'n on it.
Always, thanks for the help.
Comment 71 Andy Liebman 2013-10-25 03:53:33 CEST
Okay, I have now reinstalled the 3.10.16 kernel and fglrx for the 3rd time, this time exactly following the instructions you gave me.  I installed the newer version of ldetect.lst as you requested.  I updated glibc (even though doing so wanted to make me uninstall Adobe Reader and Skype and lots of other things, to which I said "no"). I allowed XFdrake to configure my graphics.  DKMS properly built the fglrx modules. 

My laptop is using fglrx with both the 3.10.16 and 3.8.13 kernels, and in BOTH cases, fglrx is not working properly in Gnome 3.6 but is okay in KDE and Gnome Classis. 

As I already said in this bug report: 

https://bugs.mageia.org/show_bug.cgi?id=11510

... in Gnome 3.6, keyboard entry is not working properly.  When I type something -- in terminal, in a web browser, in a text editor -- it can take 5-6 seconds for the first letter to appear, and subsequent characters are equally slow.  It is unusable.  Dragging windows around in Gnome 3.6 is fine.  It's keyboard entry that doesn't work. 

This is occurring with both 3.10.16 and 3.8.13.  The problem seems to be with fglrx!  Using the xorg ati driver is fine. 

Also, by the way, I am unable to compile the driver (rtl8812au) for my USB wireless in 3.10.16, due to lots of errors. So, the kernel update for me is a no-go so far.
Comment 72 Thomas Backlund 2013-10-25 21:25:11 CEST
when testing gpu drivers, make sure you select matching kernel and xorg drivers, 

for examle fglrx and desktop kernel:

fglrx-kernel-3.10.16-desktop-1.mga3-13.200.11-3.mga3.nonfree
x11-driver-video-fglrx-13.200.11-0.1.mga3.nonfree


and for nvidia-current:

nvidia-current-kernel-3.10.16-desktop-1.mga3-319.60-3.mga3.nonfree
x11-driver-video-nvidia-current-319.60-1.mga3.nonfree


or if you test one of the extra kernels, you then need theese (depending on hw):
dkms-fglrx-13.200.11-0.1.mga3.nonfree
dkms-nvidia-current-319.60-1.mga3.nonfree

and a kernel-*-devel package matching the kernel you are testing.

and so on...

and kernel-firmware(-nonfree) and other firmwares updates firmware to better match / support kernel-3.10 series

the updated ldetect-lst adds more pci ids for additional hw the new drivers support.

the new drakx* & harddrake* lets the tools detect new kernel modules properly
Comment 73 Thomas Backlund 2013-10-25 21:29:36 CEST
(In reply to roelof Wobben from comment #55)
> one wierd thing I remember now.
> 
> When I checked the kernel one of the dependencies was a radeon file.
> What I wierd because I have a nvidia card and not a ati card.
> 
> Roelof

It's not a "dependency" as such, it is a conflict of too old radeon-firmware so the updated firmwares for those that need it gets installed before initrd gets created.
Comment 74 Thomas Backlund 2013-10-25 21:39:16 CEST
(In reply to Andy Liebman from comment #59)
> One more thing to add to my report.  It seems the new fglrx just plain
> breaks Gnome 3.6 even when I boot up with 3.8.13-desktop-1.  I get exactly
> the same problem with keyboard input not working in Gnome 3.6, but being
> okay in KDE and Gnome Classic.   


install mesa-demos and paste the output of:

glxinfo |grep vendor

also attach the file: bootlog

created as root with the command: journalctl -b >bootlog
Comment 75 Thomas Backlund 2013-10-25 22:41:34 CEST
(In reply to Andy Liebman from comment #71)

> 
> Also, by the way, I am unable to compile the driver (rtl8812au) for my USB
> wireless in 3.10.16, due to lots of errors. So, the kernel update for me is
> a no-go so far.

Well, we cant do much for out of tree drivers...
You need to check if they provide a newer one supporting 3.10 series kernels
Comment 76 Deri James 2013-10-26 12:50:53 CEST
Tested desktop 64 bit. All worked fine, only problem was going into sleep S3 mode, with the nouveau driver after it had woken, there was a black screen with movable mouse pointer. Alt-bs twice returned to a working login screen. Using nvidia sleep works fine.

I have been using the 3.4.45 kernel (from mga2) since upgrading to mga3 because sleep was not working at all with the 3.8 kernels for either graphics driver (machine would hang going into sleep state, even from single user mode). So thanks for this update.

The hardware:-

r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168 PCI Express Gigabit Ethernet controller [NETWORK_ETHERNET] (rev: 06)
xhci_hcd        : NEC Corporation|uPD720200 USB 3.0 Host Controller [SERIAL_USB] (rev: 04)
shpchp          : ASMedia Technology Inc.|ASM1083/1085 PCIe to PCI Bridge [BRIDGE_PCI] (rev: 01)
snd_hda_intel   : NVIDIA Corporation|GF116 High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: a1)
Card:NVIDIA GeForce 400 series and later: NVIDIA Corporation|GF116 [GeForce GTS 450 Rev. 2] [DISPLAY_VGA] (rev: a1)
i2c_i801        : Intel Corporation|6 Series/C200 Series Chipset Family SMBus Controller [SERIAL_SMBUS] (rev: 05)
unknown         : Intel Corporation|6 Series/C200 Series Chipset Family SATA AHCI Controller [STORAGE_SATA] (rev: 05)
lpc_ich         : Intel Corporation|P67 Express Chipset Family LPC Controller [BRIDGE_ISA] (rev: 05)
ehci_pci        : Intel Corporation|6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [SERIAL_USB] (rev: 05)
shpchp          : Intel Corporation|6 Series/C200 Series Chipset Family PCI Express Root Port 7 [BRIDGE_PCI] (rev: b5)
shpchp          : Intel Corporation|6 Series/C200 Series Chipset Family PCI Express Root Port 6 [BRIDGE_PCI] (rev: b5)
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (rev: b5)
shpchp          : Intel Corporation|6 Series/C200 Series Chipset Family PCI Express Root Port 1 [BRIDGE_PCI] (rev: b5)
snd_hda_intel   : Intel Corporation|6 Series/C200 Series Chipset Family High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: 05)
ehci_pci        : Intel Corporation|6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [SERIAL_USB] (rev: 05)
unknown         : Intel Corporation|6 Series/C200 Series Chipset Family MEI Controller #1 [COMMUNICATION_OTHER] (rev: 04)
shpchp          : Intel Corporation|Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port [BRIDGE_PCI] (rev: 09)
unknown         : Intel Corporation|2nd Generation Core Processor Family DRAM Controller [BRIDGE_HOST] (rev: 09)
hub             : Linux 3.10.16-desktop-1.mga3 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Intel Corp.|Integrated Rate Matching Hub [Hub|Unused|Full speed (or root) hub]
usb_storage     : Generic   |Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
usbfs           : American Power Conversion|Smart-UPS 2200 FW:COM 02.1 / UPS.05.I [Human Interface Device|No Subclass|None]
hub             : Linux 3.10.16-desktop-1.mga3 xhci_hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.10.16-desktop-1.mga3 xhci_hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.10.16-desktop-1.mga3 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Intel Corp.|Integrated Rate Matching Hub [Hub|Unused|Full speed (or root) hub]
em28xx          : PCTV Systems|PCTV 290e
usbhid          : NOVATEK|USB Keyboard [Human Interface Device|Boot Interface Subclass|Keyboard]
usbhid          : Logitech|USB Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
hub             : Genesys Logic, Inc.|USB2.0 Hub [Hub|Unused|Full speed (or root) hub]
Tablet:wacom    : Tablet|XD-0912-U [Human Interface Device|Boot Interface Subclass|Mouse]
ftdi_sio        : FTDI|SheevaPlug JTAGKey FT2232D B
scanner         : EPSON|EPSON Scanner
hid_generic     : Logitech USB Optical Mouse
hid_generic     : NOVATEK USB Keyboard
hid_generic     : NOVATEK USB Keyboard
Comment 77 Andy Liebman 2013-10-26 16:41:39 CEST
Hi Thomas, 

(In reply to Thomas Backlund from comment #74)
> (In reply to Andy Liebman from comment #59)
> > One more thing to add to my report.  It seems the new fglrx just plain
> > breaks Gnome 3.6 even when I boot up with 3.8.13-desktop-1.  I get exactly
> > the same problem with keyboard input not working in Gnome 3.6, but being
> > okay in KDE and Gnome Classic.   
> 
> 
> install mesa-demos and paste the output of:
> 
> glxinfo |grep vendor

server glx vendor string: ATI
client glx vendor string: ATI
OpenGL vendor string: Advanced Micro Devices, Inc.


> 
> also attach the file: bootlog
> 
> created as root with the command: journalctl -b >bootlog

Sent in as an attachment.  

OpenGL just seems generally messed up.  KDE is telling me I don't have OpenGL -- I cannot enable desktop effects that require OpenGL -- yet fgl_glxgears says "yes" I do have it. 

[andy@localhost ~]$ fgl_glxgears 
Using GLX_SGIX_pbuffer
4856 frames in 5.0 seconds = 971.200 FPS
4390 frames in 5.0 seconds = 878.000 FPS
4726 frames in 5.0 seconds = 945.200 FPS
4823 frames in 5.0 seconds = 964.600 FPS

The above is in 3.10.16 kernel. About 1/3 slower in 3.8.13 kernel. 

-- Andy
Comment 78 Andy Liebman 2013-10-26 16:42:30 CEST
Created attachment 4460 [details]
Output of journalctl as requested
Comment 79 Andy Liebman 2013-10-30 16:17:58 CET
I think I give up on this. Sorry, going to run OS X now. Please don't count on me to test any fix you might have, as I won't have Mageia on my laptop any more.
Comment 80 Thomas Backlund 2013-10-31 21:27:54 CET
(In reply to William Kenney from comment #8)
> In VirtualBox, M3, KDE, 32-bit
> 
> [root@localhost wilcal]# uname -a
> Linux localhost 3.8.13.4-desktop-1.mga3 #1 SMP Thu Jul 4 14:04:55 UTC 2013
> i686 i686 i686 GNU/Linux
> [root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
> Package vboxadditions-kernel-desktop-latest-4.2.16-1.mga3.i586 is already
> installed
> Marking vboxadditions-kernel-desktop-latest as manually installed, it won't
> be auto-orphaned
> writing /var/lib/rpm/installed-through-deps.list
> [root@localhost wilcal]# urpmi glibc
> Package glibc-2.17-5.mga3.i586 is already installed
> 
> Install glibc & kernel-desktop-latest updates from core updates_testing:


did you install the virtualbox 4.2.18-1.mga3 stuff too  ?
Comment 81 claire robinson 2013-11-07 22:37:57 CET
Assigning Thomas for now. 

Please reassign to QA when when you've had a chance to take a look. 

Thanks.
Comment 82 Trevor Metivier 2013-11-15 01:37:59 CET
I upgraded my x86_64 Mageia 3 kernel to fix issues with my rtl8188ee on-board wifi.  The kernel upgrade worked flawlessly.  My laptop now has proper firmware and drivers installed and the wifi is working properly.
Comment 83 Thomas Backlund 2013-11-18 18:33:43 CET
new rpms to validate:

SRPMS:
btrfs-progs-0.20-0.rc1.20130705.1.mga3.src.rpm
drakxtools-15.54.1-3.mga3.src.rpm
kernel-3.10.19-1.mga3.src.rpm
kernel-firmware-20130624-1.mga3.src.rpm
kernel-userspace-headers-3.10.19-1.mga3.src.rpm
kmod-vboxadditions-4.2.18-5.mga3.src.rpm
kmod-virtualbox-4.2.18-5.mga3.src.rpm
kmod-xtables-addons-2.3-5.mga3.src.rpm
ldetect-lst-0.1.330-1.mga3.src.rpm
libdrm-2.4.46-1.mga3.src.rpm
mesa-9.1.7-1.1.mga3.src.rpm
virtualbox-4.2.18-1.mga3.src.rpm
x11-driver-video-ati-7.2.0-1.mga3.src.rpm
x11-driver-video-intel-2.21.15-1.mga3.src.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.src.rpm
xtables-addons-2.3-2.mga3.src.rpm

broadcom-wl-6.30.223.141-1.mga3.nonfree.src.rpm
fglrx-13.250.18-0.1.mga3.nonfree.src.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.src.rpm
kmod-broadcom-wl-6.30.223.141-4.mga3.nonfree.src.rpm
kmod-fglrx-13.250.18-2.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.38-21.mga3.nonfree.src.rpm
kmod-nvidia304-304.108-6.mga3.nonfree.src.rpm
kmod-nvidia-current-319.60-5.mga3.nonfree.src.rpm
nvidia173-173.14.38-1.mga3.nonfree.src.rpm
nvidia304-304.108-2.mga3.nonfree.src.rpm
nvidia-current-319.60-1.mga3.nonfree.src.rpm
radeon-firmware-20130626-2.mga3.nonfree.src.rpm

mesa-9.1.7-1.1.mga3.tainted.src.rpm
Comment 84 Thomas Backlund 2013-11-18 18:33:55 CET
i586:
btrfs-progs-0.20-0.rc1.20130705.1.mga3.i586.rpm
libbtrfs0-0.20-0.rc1.20130705.1.mga3.i586.rpm
libbtrfs-devel-0.20-0.rc1.20130705.1.mga3.i586.rpm

drakx-finish-install-15.54.1-3.mga3.i586.rpm
drakxtools-15.54.1-3.mga3.i586.rpm
drakxtools-backend-15.54.1-3.mga3.i586.rpm
drakxtools-curses-15.54.1-3.mga3.i586.rpm
drakxtools-http-15.54.1-3.mga3.i586.rpm
harddrake-15.54.1-3.mga3.i586.rpm
harddrake-ui-15.54.1-3.mga3.i586.rpm

cpupower-3.10.19-1.mga3.i586.rpm
cpupower-devel-3.10.19-1.mga3.i586.rpm
kernel-desktop-3.10.19-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-3.10.19-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.10.19-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.10.19-1.mga3.i586.rpm
kernel-desktop586-latest-3.10.19-1.mga3.i586.rpm
kernel-desktop-devel-3.10.19-1.mga3-1-1.mga3.i586.rpm
kernel-desktop-devel-latest-3.10.19-1.mga3.i586.rpm
kernel-desktop-latest-3.10.19-1.mga3.i586.rpm
kernel-doc-3.10.19-1.mga3.noarch.rpm
kernel-server-3.10.19-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-3.10.19-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-latest-3.10.19-1.mga3.i586.rpm
kernel-server-latest-3.10.19-1.mga3.i586.rpm
kernel-source-3.10.19-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.19-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.19-1.mga3.i586.rpm
perf-3.10.19-1.mga3.i586.rpm

dkms-vboxadditions-4.2.18-1.mga3.noarch.rpm
dkms-virtualbox-4.2.18-1.mga3.noarch.rpm
python-virtualbox-4.2.18-1.mga3.i586.rpm
vboxadditions-kernel-3.10.19-desktop-1.mga3-4.2.18-5.mga3.i586.rpm
vboxadditions-kernel-3.10.19-desktop586-1.mga3-4.2.18-5.mga3.i586.rpm
vboxadditions-kernel-3.10.19-server-1.mga3-4.2.18-5.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.18-5.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.18-5.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.18-5.mga3.i586.rpm
virtualbox-4.2.18-1.mga3.i586.rpm
virtualbox-devel-4.2.18-1.mga3.i586.rpm
virtualbox-guest-additions-4.2.18-1.mga3.i586.rpm
virtualbox-kernel-3.10.19-desktop-1.mga3-4.2.18-5.mga3.i586.rpm
virtualbox-kernel-3.10.19-desktop586-1.mga3-4.2.18-5.mga3.i586.rpm
virtualbox-kernel-3.10.19-server-1.mga3-4.2.18-5.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.18-5.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.18-5.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.18-5.mga3.i586.rpm
x11-driver-video-vboxvideo-4.2.18-1.mga3.i586.rpm

dkms-xtables-addons-2.3-2.mga3.i586.rpm
xtables-addons-2.3-2.mga3.i586.rpm
xtables-addons-kernel-3.10.19-desktop-1.mga3-2.3-5.mga3.i586.rpm
xtables-addons-kernel-3.10.19-desktop586-1.mga3-2.3-5.mga3.i586.rpm
xtables-addons-kernel-3.10.19-server-1.mga3-2.3-5.mga3.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-5.mga3.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-5.mga3.i586.rpm
xtables-addons-kernel-server-latest-2.3-5.mga3.i586.rpm
xtables-geoip-2.3-2.mga3.noarch.rpm

ldetect-lst-0.1.330-1.mga3.i586.rpm
ldetect-lst-devel-0.1.330-1.mga3.i586.rpm

libdrm2-2.4.46-1.mga3.i586.rpm
libdrm-common-2.4.46-1.mga3.i586.rpm
libdrm-devel-2.4.46-1.mga3.i586.rpm
libdrm_intel1-2.4.46-1.mga3.i586.rpm
libdrm_nouveau2-2.4.46-1.mga3.i586.rpm
libdrm_radeon1-2.4.46-1.mga3.i586.rpm
libdrm-static-devel-2.4.46-1.mga3.i586.rpm
libkms1-2.4.46-1.mga3.i586.rpm

libdricore1-9.1.7-1.1.mga3.i586.rpm
libdricore1-devel-9.1.7-1.1.mga3.i586.rpm
libdri-drivers-9.1.7-1.1.mga3.i586.rpm
libgbm1-9.1.7-1.1.mga3.i586.rpm
libgbm1-devel-9.1.7-1.1.mga3.i586.rpm
libglapi0-9.1.7-1.1.mga3.i586.rpm
libglapi0-devel-9.1.7-1.1.mga3.i586.rpm
libllvmradeon9.1.7-9.1.7-1.1.mga3.i586.rpm
libmesaegl1-9.1.7-1.1.mga3.i586.rpm
libmesaegl1-devel-9.1.7-1.1.mga3.i586.rpm
libmesagl1-9.1.7-1.1.mga3.i586.rpm
libmesagl1-devel-9.1.7-1.1.mga3.i586.rpm
libmesaglesv1_1-9.1.7-1.1.mga3.i586.rpm
libmesaglesv1_1-devel-9.1.7-1.1.mga3.i586.rpm
libmesaglesv2_2-9.1.7-1.1.mga3.i586.rpm
libmesaglesv2_2-devel-9.1.7-1.1.mga3.i586.rpm
libmesaopenvg1-9.1.7-1.1.mga3.i586.rpm
libmesaopenvg1-devel-9.1.7-1.1.mga3.i586.rpm
libosmesa8-9.1.7-1.1.mga3.i586.rpm
libosmesa-devel-9.1.7-1.1.mga3.i586.rpm
libvdpau-driver-nouveau-9.1.7-1.1.mga3.i586.rpm
libvdpau-driver-r300-9.1.7-1.1.mga3.i586.rpm
libvdpau-driver-r600-9.1.7-1.1.mga3.i586.rpm
libvdpau-driver-radeonsi-9.1.7-1.1.mga3.i586.rpm
libvdpau-driver-softpipe-9.1.7-1.1.mga3.i586.rpm
libwayland-egl1-9.1.7-1.1.mga3.i586.rpm
libwayland-egl1-devel-9.1.7-1.1.mga3.i586.rpm
mesa-9.1.7-1.1.mga3.i586.rpm
mesa-common-devel-9.1.7-1.1.mga3.i586.rpm

x11-driver-video-ati-7.2.0-1.mga3.i586.rpm
x11-driver-video-intel-2.21.15-1.mga3.i586.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.i586.rpm

broadcom-wl-common-6.30.223.141-1.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.19-desktop-1.mga3-6.30.223.141-4.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.19-desktop586-1.mga3-6.30.223.141-4.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.19-server-1.mga3-6.30.223.141-4.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-4.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-4.mga3.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-4.mga3.nonfree.i586.rpm
dkms-broadcom-wl-6.30.223.141-1.mga3.nonfree.i586.rpm
dkms-fglrx-13.250.18-0.1.mga3.nonfree.i586.rpm
dkms-nvidia173-173.14.38-1.mga3.nonfree.i586.rpm
dkms-nvidia304-304.108-2.mga3.nonfree.i586.rpm
dkms-nvidia-current-319.60-1.mga3.nonfree.i586.rpm
fglrx-control-center-13.250.18-0.1.mga3.nonfree.i586.rpm
fglrx-devel-13.250.18-0.1.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.19-desktop-1.mga3-13.250.18-2.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.19-desktop586-1.mga3-13.250.18-2.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.19-server-1.mga3-13.250.18-2.mga3.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.250.18-2.mga3.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.250.18-2.mga3.nonfree.i586.rpm
fglrx-kernel-server-latest-13.250.18-2.mga3.nonfree.i586.rpm
fglrx-opencl-13.250.18-0.1.mga3.nonfree.i586.rpm
iwlwifi-agn-ucode-20130624-1.mga3.nonfree.noarch.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.noarch.rpm
nvidia173-cuda-173.14.38-1.mga3.nonfree.i586.rpm
nvidia173-devel-173.14.38-1.mga3.nonfree.i586.rpm
nvidia173-doc-html-173.14.38-1.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.19-desktop-1.mga3-173.14.38-21.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.19-desktop586-1.mga3-173.14.38-21.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.19-server-1.mga3-173.14.38-21.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.38-21.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.38-21.mga3.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.38-21.mga3.nonfree.i586.rpm
nvidia304-cuda-opencl-304.108-2.mga3.nonfree.i586.rpm
nvidia304-devel-304.108-2.mga3.nonfree.i586.rpm
nvidia304-doc-html-304.108-2.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.19-desktop-1.mga3-304.108-6.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.19-desktop586-1.mga3-304.108-6.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.19-server-1.mga3-304.108-6.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.108-6.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.108-6.mga3.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.108-6.mga3.nonfree.i586.rpm
nvidia-current-cuda-opencl-319.60-1.mga3.nonfree.i586.rpm
nvidia-current-devel-319.60-1.mga3.nonfree.i586.rpm
nvidia-current-doc-html-319.60-1.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.19-desktop-1.mga3-319.60-5.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.19-desktop586-1.mga3-319.60-5.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.19-server-1.mga3-319.60-5.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-319.60-5.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-319.60-5.mga3.nonfree.i586.rpm
nvidia-current-kernel-server-latest-319.60-5.mga3.nonfree.i586.rpm
radeon-firmware-20130626-2.mga3.nonfree.noarch.rpm
ralink-firmware-20130624-1.mga3.nonfree.noarch.rpm
rtlwifi-firmware-20130624-1.mga3.nonfree.noarch.rpm
x11-driver-video-fglrx-13.250.18-0.1.mga3.nonfree.i586.rpm
x11-driver-video-nvidia173-173.14.38-1.mga3.nonfree.i586.rpm
x11-driver-video-nvidia304-304.108-2.mga3.nonfree.i586.rpm
x11-driver-video-nvidia-current-319.60-1.mga3.nonfree.i586.rpm

libdricore1-9.1.7-1.1.mga3.tainted.i586.rpm
libdricore1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libdri-drivers-9.1.7-1.1.mga3.tainted.i586.rpm
libgbm1-9.1.7-1.1.mga3.tainted.i586.rpm
libgbm1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libglapi0-9.1.7-1.1.mga3.tainted.i586.rpm
libglapi0-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libllvmradeon9.1.7-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaegl1-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaegl1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libmesagl1-9.1.7-1.1.mga3.tainted.i586.rpm
libmesagl1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaglesv1_1-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaglesv1_1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaglesv2_2-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaglesv2_2-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaopenvg1-9.1.7-1.1.mga3.tainted.i586.rpm
libmesaopenvg1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libosmesa8-9.1.7-1.1.mga3.tainted.i586.rpm
libosmesa-devel-9.1.7-1.1.mga3.tainted.i586.rpm
libvdpau-driver-nouveau-9.1.7-1.1.mga3.tainted.i586.rpm
libvdpau-driver-r300-9.1.7-1.1.mga3.tainted.i586.rpm
libvdpau-driver-r600-9.1.7-1.1.mga3.tainted.i586.rpm
libvdpau-driver-radeonsi-9.1.7-1.1.mga3.tainted.i586.rpm
libvdpau-driver-softpipe-9.1.7-1.1.mga3.tainted.i586.rpm
libwayland-egl1-9.1.7-1.1.mga3.tainted.i586.rpm
libwayland-egl1-devel-9.1.7-1.1.mga3.tainted.i586.rpm
mesa-9.1.7-1.1.mga3.tainted.i586.rpm
mesa-common-devel-9.1.7-1.1.mga3.tainted.i586.rpm
Comment 85 Thomas Backlund 2013-11-18 18:34:13 CET
x86_64:
btrfs-progs-0.20-0.rc1.20130705.1.mga3.x86_64.rpm
lib64btrfs0-0.20-0.rc1.20130705.1.mga3.x86_64.rpm
lib64btrfs-devel-0.20-0.rc1.20130705.1.mga3.x86_64.rpm

drakx-finish-install-15.54.1-3.mga3.x86_64.rpm
drakxtools-15.54.1-3.mga3.x86_64.rpm
drakxtools-backend-15.54.1-3.mga3.x86_64.rpm
drakxtools-curses-15.54.1-3.mga3.x86_64.rpm
drakxtools-http-15.54.1-3.mga3.x86_64.rpm
harddrake-15.54.1-3.mga3.x86_64.rpm
harddrake-ui-15.54.1-3.mga3.x86_64.rpm

cpupower-3.10.19-1.mga3.x86_64.rpm
cpupower-devel-3.10.19-1.mga3.x86_64.rpm
kernel-desktop-3.10.19-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.10.19-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.10.19-1.mga3.x86_64.rpm
kernel-desktop-latest-3.10.19-1.mga3.x86_64.rpm
kernel-doc-3.10.19-1.mga3.noarch.rpm
kernel-server-3.10.19-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-3.10.19-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-latest-3.10.19-1.mga3.x86_64.rpm
kernel-server-latest-3.10.19-1.mga3.x86_64.rpm
kernel-source-3.10.19-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.19-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.19-1.mga3.x86_64.rpm
perf-3.10.19-1.mga3.x86_64.rpm

dkms-vboxadditions-4.2.18-1.mga3.noarch.rpm
dkms-virtualbox-4.2.18-1.mga3.noarch.rpm
python-virtualbox-4.2.18-1.mga3.x86_64.rpm
vboxadditions-kernel-3.10.19-desktop-1.mga3-4.2.18-5.mga3.x86_64.rpm
vboxadditions-kernel-3.10.19-server-1.mga3-4.2.18-5.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.18-5.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.18-5.mga3.x86_64.rpm
virtualbox-4.2.18-1.mga3.x86_64.rpm
virtualbox-devel-4.2.18-1.mga3.x86_64.rpm
virtualbox-guest-additions-4.2.18-1.mga3.x86_64.rpm
virtualbox-kernel-3.10.19-desktop-1.mga3-4.2.18-5.mga3.x86_64.rpm
virtualbox-kernel-3.10.19-server-1.mga3-4.2.18-5.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.18-5.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.18-5.mga3.x86_64.rpm
x11-driver-video-vboxvideo-4.2.18-1.mga3.x86_64.rpm

dkms-xtables-addons-2.3-2.mga3.x86_64.rpm
xtables-addons-2.3-2.mga3.x86_64.rpm
xtables-addons-kernel-3.10.19-desktop-1.mga3-2.3-5.mga3.x86_64.rpm
xtables-addons-kernel-3.10.19-server-1.mga3-2.3-5.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-5.mga3.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-5.mga3.x86_64.rpm
xtables-geoip-2.3-2.mga3.noarch.rpm

ldetect-lst-0.1.330-1.mga3.x86_64.rpm
ldetect-lst-devel-0.1.330-1.mga3.x86_64.rpm

lib64drm2-2.4.46-1.mga3.x86_64.rpm
lib64drm-devel-2.4.46-1.mga3.x86_64.rpm
lib64drm_intel1-2.4.46-1.mga3.x86_64.rpm
lib64drm_nouveau2-2.4.46-1.mga3.x86_64.rpm
lib64drm_radeon1-2.4.46-1.mga3.x86_64.rpm
lib64drm-static-devel-2.4.46-1.mga3.x86_64.rpm
lib64kms1-2.4.46-1.mga3.x86_64.rpm
libdrm-common-2.4.46-1.mga3.x86_64.rpm

lib64dricore1-9.1.7-1.1.mga3.x86_64.rpm
lib64dricore1-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64dri-drivers-9.1.7-1.1.mga3.x86_64.rpm
lib64gbm1-9.1.7-1.1.mga3.x86_64.rpm
lib64gbm1-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64glapi0-9.1.7-1.1.mga3.x86_64.rpm
lib64glapi0-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64llvmradeon9.1.7-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaegl1-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaegl1-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64mesagl1-9.1.7-1.1.mga3.x86_64.rpm
lib64mesagl1-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaglesv1_1-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaglesv1_1-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaglesv2_2-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaglesv2_2-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaopenvg1-9.1.7-1.1.mga3.x86_64.rpm
lib64mesaopenvg1-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64osmesa8-9.1.7-1.1.mga3.x86_64.rpm
lib64osmesa-devel-9.1.7-1.1.mga3.x86_64.rpm
lib64vdpau-driver-nouveau-9.1.7-1.1.mga3.x86_64.rpm
lib64vdpau-driver-r300-9.1.7-1.1.mga3.x86_64.rpm
lib64vdpau-driver-r600-9.1.7-1.1.mga3.x86_64.rpm
lib64vdpau-driver-radeonsi-9.1.7-1.1.mga3.x86_64.rpm
lib64vdpau-driver-softpipe-9.1.7-1.1.mga3.x86_64.rpm
lib64wayland-egl1-9.1.7-1.1.mga3.x86_64.rpm
lib64wayland-egl1-devel-9.1.7-1.1.mga3.x86_64.rpm
mesa-9.1.7-1.1.mga3.x86_64.rpm
mesa-common-devel-9.1.7-1.1.mga3.x86_64.rpm

x11-driver-video-ati-7.2.0-1.mga3.x86_64.rpm
x11-driver-video-intel-2.21.15-1.mga3.x86_64.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.x86_64.rpm

broadcom-wl-common-6.30.223.141-1.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.19-desktop-1.mga3-6.30.223.141-4.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.19-server-1.mga3-6.30.223.141-4.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-4.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-4.mga3.nonfree.x86_64.rpm
dkms-broadcom-wl-6.30.223.141-1.mga3.nonfree.x86_64.rpm

dkms-fglrx-13.250.18-0.1.mga3.nonfree.x86_64.rpm
fglrx-control-center-13.250.18-0.1.mga3.nonfree.x86_64.rpm
fglrx-devel-13.250.18-0.1.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.19-desktop-1.mga3-13.250.18-2.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.19-server-1.mga3-13.250.18-2.mga3.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.250.18-2.mga3.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.250.18-2.mga3.nonfree.x86_64.rpm
fglrx-opencl-13.250.18-0.1.mga3.nonfree.x86_64.rpm
x11-driver-video-fglrx-13.250.18-0.1.mga3.nonfree.x86_64.rpm

dkms-nvidia173-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-cuda-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-devel-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-doc-html-173.14.38-1.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.19-desktop-1.mga3-173.14.38-21.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.19-server-1.mga3-173.14.38-21.mga3.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.38-21.mga3.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.38-21.mga3.nonfree.x86_64.rpm
x11-driver-video-nvidia173-173.14.38-1.mga3.nonfree.x86_64.rpm

dkms-nvidia304-304.108-2.mga3.nonfree.x86_64.rpm
nvidia304-cuda-opencl-304.108-2.mga3.nonfree.x86_64.rpm
nvidia304-devel-304.108-2.mga3.nonfree.x86_64.rpm
nvidia304-doc-html-304.108-2.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.19-desktop-1.mga3-304.108-6.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.19-server-1.mga3-304.108-6.mga3.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.108-6.mga3.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.108-6.mga3.nonfree.x86_64.rpm
x11-driver-video-nvidia304-304.108-2.mga3.nonfree.x86_64.rpm

dkms-nvidia-current-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-cuda-opencl-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-devel-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-doc-html-319.60-1.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.19-desktop-1.mga3-319.60-5.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.19-server-1.mga3-319.60-5.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-319.60-5.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-319.60-5.mga3.nonfree.x86_64.rpm
x11-driver-video-nvidia-current-319.60-1.mga3.nonfree.x86_64.rpm

iwlwifi-agn-ucode-20130624-1.mga3.nonfree.noarch.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.noarch.rpm
radeon-firmware-20130626-2.mga3.nonfree.noarch.rpm
ralink-firmware-20130624-1.mga3.nonfree.noarch.rpm
rtlwifi-firmware-20130624-1.mga3.nonfree.noarch.rpm

lib64dricore1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64dricore1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64dri-drivers-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64gbm1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64gbm1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64glapi0-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64glapi0-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64llvmradeon9.1.7-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaegl1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaegl1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesagl1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesagl1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaglesv1_1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaglesv1_1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaglesv2_2-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaglesv2_2-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaopenvg1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64mesaopenvg1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64osmesa8-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64osmesa-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64vdpau-driver-nouveau-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64vdpau-driver-r300-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64vdpau-driver-r600-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64vdpau-driver-radeonsi-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64vdpau-driver-softpipe-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64wayland-egl1-9.1.7-1.1.mga3.tainted.x86_64.rpm
lib64wayland-egl1-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
mesa-9.1.7-1.1.mga3.tainted.x86_64.rpm
mesa-common-devel-9.1.7-1.1.mga3.tainted.x86_64.rpm
Comment 86 Lewis Smith 2013-11-21 19:18:04 CET
3.10.19-desktop-1.mga3
on real 32-bit h/w. Very limited test of this update because almost none of the supplementary packages are involved. BTAIM It seems to load & work OK for me.
Comment 87 Thomas Backlund 2013-11-21 21:06:39 CET
Advisory:

This kernel update provides an update to the 3.10 longterm branch,
currently 3.10.19 and fixes the following security issues:

The ipv6_create_tempaddr function in net/ipv6/addrconf.c in the Linux kernel
through 3.10 does not properly handle problems with the generation of IPv6
temporary addresses, which allows remote attackers to cause a denial of
service (excessive retries and address-generation outage), and consequently
obtain sensitive information, via ICMPv6 Router Advertisement (RA) messages.
(CVE-2013-0343)

net/ceph/auth_none.c in the Linux kernel through 3.10 allows remote attackers
to cause a denial of service (NULL pointer dereference and system crash) or
possibly have unspecified other impact via an auth_reply message that
triggers an attempted build_request operation. (CVE-2013-1059)

The dispatch_discard_io function in drivers/block/xen-blkback/blkback.c in
the Xen blkback implementation in the Linux kernel before 3.10.5 allows guest
OS users to cause a denial of service (data loss) via filesystem write
operations on a read-only disk that supports the (1) BLKIF_OP_DISCARD
(aka discard or TRIM) or (2) SCSI UNMAP feature. (CVE-2013-2140)

The HP Smart Array controller disk-array driver and Compaq SMART2 controller
disk-array driver in the Linux kernel through 3.9.4 do not initialize certain
data structures, which allows local users to obtain sensitive information from kernel memory via (1) a crafted IDAGETPCIINFO command for a /dev/ida device,
related to the ida_locked_ioctl function in drivers/block/cpqarray.c or (2)
a crafted CCISS_PASSTHRU32 command for a /dev/cciss device, related to the cciss_ioctl32_passthru function in drivers/block/cciss.c. (CVE-2013-2147)

Format string vulnerability in the register_disk function in block/genhd.c
in the Linux kernel through 3.9.4 allows local users to gain privileges by leveraging root access and writing format string specifiers to
/sys/module/md_mod/parameters/new_array in order to create a crafted /dev/md
device name. (CVE-2013-2851)

Multiple array index errors in drivers/hid/hid-core.c in the Human
Interface Device (HID) subsystem in the Linux kernel through 3.11
allow physically proximate attackers to execute arbitrary code or
cause a denial of service (heap memory corruption) via a crafted
device that provides an invalid Report ID (CVE-2013-2888).
 
drivers/hid/hid-zpff.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_ZEROPLUS is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device (CVE-2013-2889).
 
drivers/hid/hid-steelseries.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_STEELSERIES is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device. (CVE-2013-2891)

drivers/hid/hid-pl.c in the Human Interface Device (HID) subsystem in
the Linux kernel through 3.11, when CONFIG_HID_PANTHERLORD is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device (CVE-2013-2892).

The Human Interface Device (HID) subsystem in the Linux kernel
through 3.11, when CONFIG_LOGITECH_FF, CONFIG_LOGIG940_FF, or
CONFIG_LOGIWHEELS_FF is enabled, allows physically proximate
attackers to cause a denial of service (heap-based out-of-bounds
write) via a crafted device, related to (1) drivers/hid/hid-lgff.c,
(2) drivers/hid/hid-lg3ff.c, and (3) drivers/hid/hid-lg4ff.c
(CVE-2013-2893).

drivers/hid/hid-lenovo-tpkbd.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_LENOVO_TPKBD is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device. (CVE-2013-2894)

drivers/hid/hid-logitech-dj.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_LOGITECH_DJ
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) or obtain sensitive
information from kernel memory via a crafted device (CVE-2013-2895).

drivers/hid/hid-ntrig.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_NTRIG
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) via a crafted device
(CVE-2013-2896).

Multiple array index errors in drivers/hid/hid-multitouch.c in the
Human Interface Device (HID) subsystem in the Linux kernel through
3.11, when CONFIG_HID_MULTITOUCH is enabled, allow physically proximate
attackers to cause a denial of service (heap memory corruption, or NULL
pointer dereference and OOPS) via a crafted device (CVE-2013-2897).

drivers/hid/hid-sensor-hub.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_SENSOR_HUB is enabled,
allows physically proximate attackers to obtain sensitive information from
kernel memory via a crafted device. (CVE-2013-2898)

drivers/hid/hid-picolcd_core.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_PICOLCD
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) via a crafted device
(CVE-2013-2899).

The udp_v6_push_pending_frames function in net/ipv6/udp.c in the IPv6
implementation in the Linux kernel through 3.10.3 makes an incorrect
function call for pending data, which allows local users to cause a
denial of service (BUG and system crash) via a crafted application that
uses the UDP_CORK option in a setsockopt system call (CVE-2013-4162).

The ip6_append_data_mtu function in net/ipv6/ip6_output.c in the IPv6
implementation in the Linux kernel through 3.10.3 does not properly
maintain information about whether the IPV6_MTU setsockopt option
had been specified, which allows local users to cause a denial of
service (BUG and system crash) via a crafted application that uses
the UDP_CORK option in a setsockopt system call (CVE-2013-4163).

The validate_event function in arch/arm/kernel/perf_event.c in the
Linux kernel before 3.10.8 on the ARM platform allows local users to
gain privileges or cause a denial of service (NULL pointer dereference
and system crash) by adding a hardware event to an event group led
by a software event (CVE-2013-4254)

Interpretation conflict in drivers/md/dm-snap-persistent.c in the Linux
kernel through 3.11.6 allows remote authenticated users to obtain sensitive information or modify data via a crafted mapping to a snapshot block device. (CVE-2013-4299)

The skb_flow_dissect function in net/core/flow_dissector.c in the
Linux kernel through 3.12 allows remote attackers to cause a denial
of service (infinite loop) via a small value in the IHL field of a
packet with IPIP encapsulation (CVE-2013-4348).
 
The IPv6 SCTP implementation in net/sctp/ipv6.c in the Linux kernel
through 3.11.1 uses data structures and function calls that do not
trigger an intended configuration of IPsec encryption, which allows
remote attackers to obtain sensitive information by sniffing the
network (CVE-2013-4350).

net/ipv6/ip6_output.c in the Linux kernel through 3.11.4 does not
properly determine the need for UDP Fragmentation Offload (UFO)
processing of small packets after the UFO queueing of a large packet,
which allows remote attackers to cause a denial of service (memory
corruption and system crash) or possibly have unspecified other
impact via network traffic that triggers a large response packet
(CVE-2013-4387).

The Linux kernel before 3.12, when UDP Fragmentation Offload (UFO) is
enabled, does not properly initialize certain data structures, which
allows local users to cause a denial of service (memory corruption and
system crash) or possibly gain privileges via a crafted application
that uses the UDP_CORK option in a setsockopt system call and
sends both short and long packets, related to the ip_ufo_append_data
function in net/ipv4/ip_output.c and the ip6_ufo_append_data function
in net/ipv6/ip6_output.c (CVE-2013-4470).

Other fixes:
- cpufreq: ondemand: Change the calculation of target frequency

Also with this update we provide updated graphical drivers,
firmwares, tools and apps to provide better support for the
new kernel (see the  referenced srpms list for all packages)

For other -stable fixes, read the referenced changelogs.

References:
http://kernelnewbies.org/Linux_3.9
http://kernelnewbies.org/Linux_3.10
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.1
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.2
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.3
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.4
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.5
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.6
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.7
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.8
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.9
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.10
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.11
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.12
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.13
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.14
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.15
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.16
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.17
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.18
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.19
Comment 88 Dave Hodgins 2013-11-22 13:30:50 CET
Unvalidating the update.

Found that with the kernel update, Xorg will not start in a Mageia 3 i586 guest.
Error in /var/log/Xorg.0.log
(EE) Screen(s) found, but none have a usable configuration.

Booting back into 3.8.13.4-desktop-1.mga3, Xorg is working.
vboxadditions-kernel-desktop-latest is installed.
Comment 89 Thomas Backlund 2013-11-22 13:49:51 CET
did you install x11-driver-video-vboxvideo-4.2.18-1.mga3 ?
Comment 90 Thomas Backlund 2013-11-22 19:24:58 CET
Cant reproduce here :/
Comment 91 David Walser 2013-11-26 21:57:10 CET
kernel-firmware-20130624-1.mga3.noarch.rpm is missing from Comment 84.
Comment 92 David Walser 2013-11-26 22:09:49 CET
i586 kernel-server 3.10.19 working fine on my Dell Optiplex 990 at work.
Core i7-2600
Intel 6 Series/C200 chipset, with Sandy Bridge
Radeon HD 5450
Comment 93 Dave Hodgins 2013-11-26 22:31:24 CET
I just tried a new vb install (using boot-nonfree.iso, selecting lxde). After
booting into the installed system, enabled core updates testing (nonfree and
tainted too), as updates repos, and ran urpmi --auto-update. Rebooting into
the new kernel, still have the save problem. Thomas, you test with i586?
Comment 94 David Walser 2013-11-27 20:13:54 CET
i586 kernel-server 3.10.19 working fine on our big iron Squid server.
Dell PowerEdge R610
Intel Xeon X5670, 2 6-core CPUs with hyperthreading
Intel ICH9 chipset
Matrox G200eW WPCM450
Comment 95 David Walser 2013-11-28 21:13:40 CET
Right after installing these packages on an i586 Mageia 3 VM, I logged out of KDE and X failed to restart.  Xorg.0.log ends in this:
(EE) AIGLX error: vboxvideo does not export required DRI extension

Downgrading the virtualbox packages back to 4.2.16 from updates_testing and rebooting makes it work again.
Comment 96 David Walser 2013-11-29 02:23:14 CET
This kernel (i586) still fails on my Foxconn mini system that I reported about in Bug 11188 :o(
Comment 97 Thomas Backlund 2013-12-05 20:47:07 CET
Lets try again:

All rolled up to 3.10.22, additional fixes:
- squash additional cves: CVE-2013-2929, CVE-2013-2930, + yet another ipc fix 
- includes an acpi backlight fix that helps hw that sets it to off/0
- ndiswrapper updated to 1.59 to fully support new kernels and crash fix
- virtualbox is updated to 4.2.20


list of updated packages since last list:
SRPMS:
kernel-3.10.22-1.mga3.src.rpm
kernel-userspace-headers-3.10.22-1.mga3.src.rpm
kmod-vboxadditions-4.2.20-1.mga3.src.rpm
kmod-virtualbox-4.2.20-1.mga3.src.rpm
kmod-xtables-addons-2.3-6.mga3.src.rpm
virtualbox-4.2.20-1.mga3.src.rpm

kmod-broadcom-wl-6.30.223.141-5.mga3.nonfree.src.rpm
kmod-fglrx-13.250.18-3.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.38-22.mga3.nonfree.src.rpm
kmod-nvidia304-304.108-7.mga3.nonfree.src.rpm
kmod-nvidia-current-319.60-6.mga3.nonfree.src.rpm



i586:
cpupower-3.10.22-1.mga3.i586.rpm
cpupower-devel-3.10.22-1.mga3.i586.rpm
dkms-vboxadditions-4.2.20-1.mga3.noarch.rpm
dkms-virtualbox-4.2.20-1.mga3.noarch.rpm
kernel-desktop-3.10.22-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-3.10.22-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.10.22-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.10.22-1.mga3.i586.rpm
kernel-desktop586-latest-3.10.22-1.mga3.i586.rpm
kernel-desktop-devel-3.10.22-1.mga3-1-1.mga3.i586.rpm
kernel-desktop-devel-latest-3.10.22-1.mga3.i586.rpm
kernel-desktop-latest-3.10.22-1.mga3.i586.rpm
kernel-doc-3.10.22-1.mga3.noarch.rpm
kernel-server-3.10.22-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-3.10.22-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-latest-3.10.22-1.mga3.i586.rpm
kernel-server-latest-3.10.22-1.mga3.i586.rpm
kernel-source-3.10.22-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.22-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.22-1.mga3.i586.rpm
perf-3.10.22-1.mga3.i586.rpm
python-virtualbox-4.2.20-1.mga3.i586.rpm
vboxadditions-kernel-3.10.22-desktop-1.mga3-4.2.20-1.mga3.i586.rpm
vboxadditions-kernel-3.10.22-desktop586-1.mga3-4.2.20-1.mga3.i586.rpm
vboxadditions-kernel-3.10.22-server-1.mga3-4.2.20-1.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.20-1.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.20-1.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.20-1.mga3.i586.rpm
virtualbox-4.2.20-1.mga3.i586.rpm
virtualbox-devel-4.2.20-1.mga3.i586.rpm
virtualbox-guest-additions-4.2.20-1.mga3.i586.rpm
virtualbox-kernel-3.10.22-desktop-1.mga3-4.2.20-1.mga3.i586.rpm
virtualbox-kernel-3.10.22-desktop586-1.mga3-4.2.20-1.mga3.i586.rpm
virtualbox-kernel-3.10.22-server-1.mga3-4.2.20-1.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.20-1.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.20-1.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.20-1.mga3.i586.rpm
x11-driver-video-vboxvideo-4.2.20-1.mga3.i586.rpm
xtables-addons-kernel-3.10.22-desktop-1.mga3-2.3-6.mga3.i586.rpm
xtables-addons-kernel-3.10.22-desktop586-1.mga3-2.3-6.mga3.i586.rpm
xtables-addons-kernel-3.10.22-server-1.mga3-2.3-6.mga3.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-6.mga3.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-6.mga3.i586.rpm
xtables-addons-kernel-server-latest-2.3-6.mga3.i586.rpm

broadcom-wl-kernel-3.10.22-desktop-1.mga3-6.30.223.141-5.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.22-desktop586-1.mga3-6.30.223.141-5.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.22-server-1.mga3-6.30.223.141-5.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-5.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-5.mga3.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-5.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.22-desktop-1.mga3-13.250.18-3.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.22-desktop586-1.mga3-13.250.18-3.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.22-server-1.mga3-13.250.18-3.mga3.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.250.18-3.mga3.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.250.18-3.mga3.nonfree.i586.rpm
fglrx-kernel-server-latest-13.250.18-3.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.22-desktop-1.mga3-173.14.38-22.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.22-desktop586-1.mga3-173.14.38-22.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.22-server-1.mga3-173.14.38-22.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.38-22.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.38-22.mga3.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.38-22.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.22-desktop-1.mga3-304.108-7.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.22-desktop586-1.mga3-304.108-7.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.22-server-1.mga3-304.108-7.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.108-7.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.108-7.mga3.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.108-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.22-desktop-1.mga3-319.60-6.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.22-desktop586-1.mga3-319.60-6.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.22-server-1.mga3-319.60-6.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-319.60-6.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-319.60-6.mga3.nonfree.i586.rpm
nvidia-current-kernel-server-latest-319.60-6.mga3.nonfree.i586.rpm



x86_64:
cpupower-3.10.22-1.mga3.x86_64.rpm
cpupower-devel-3.10.22-1.mga3.x86_64.rpm
dkms-vboxadditions-4.2.20-1.mga3.noarch.rpm
dkms-virtualbox-4.2.20-1.mga3.noarch.rpm
kernel-desktop-3.10.22-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.10.22-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.10.22-1.mga3.x86_64.rpm
kernel-desktop-latest-3.10.22-1.mga3.x86_64.rpm
kernel-doc-3.10.22-1.mga3.noarch.rpm
kernel-server-3.10.22-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-3.10.22-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-latest-3.10.22-1.mga3.x86_64.rpm
kernel-server-latest-3.10.22-1.mga3.x86_64.rpm
kernel-source-3.10.22-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.22-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.22-1.mga3.x86_64.rpm
perf-3.10.22-1.mga3.x86_64.rpm
python-virtualbox-4.2.20-1.mga3.x86_64.rpm
vboxadditions-kernel-3.10.22-desktop-1.mga3-4.2.20-1.mga3.x86_64.rpm
vboxadditions-kernel-3.10.22-server-1.mga3-4.2.20-1.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.20-1.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.20-1.mga3.x86_64.rpm
virtualbox-4.2.20-1.mga3.x86_64.rpm
virtualbox-devel-4.2.20-1.mga3.x86_64.rpm
virtualbox-guest-additions-4.2.20-1.mga3.x86_64.rpm
virtualbox-kernel-3.10.22-desktop-1.mga3-4.2.20-1.mga3.x86_64.rpm
virtualbox-kernel-3.10.22-server-1.mga3-4.2.20-1.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.20-1.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.20-1.mga3.x86_64.rpm
x11-driver-video-vboxvideo-4.2.20-1.mga3.x86_64.rpm
xtables-addons-kernel-3.10.22-desktop-1.mga3-2.3-6.mga3.x86_64.rpm
xtables-addons-kernel-3.10.22-server-1.mga3-2.3-6.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-6.mga3.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-6.mga3.x86_64.rpm

broadcom-wl-kernel-3.10.22-desktop-1.mga3-6.30.223.141-5.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.22-server-1.mga3-6.30.223.141-5.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-5.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-5.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.22-desktop-1.mga3-13.250.18-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.22-server-1.mga3-13.250.18-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.250.18-3.mga3.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.250.18-3.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.22-desktop-1.mga3-173.14.38-22.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.22-server-1.mga3-173.14.38-22.mga3.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.38-22.mga3.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.38-22.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.22-desktop-1.mga3-304.108-7.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.22-server-1.mga3-304.108-7.mga3.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.108-7.mga3.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.108-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.22-desktop-1.mga3-319.60-6.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.22-server-1.mga3-319.60-6.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-319.60-6.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-319.60-6.mga3.nonfree.x86_64.rpm
Comment 98 Thomas Backlund 2013-12-07 00:02:01 CET
Ok, giving up on the vbox update now, I can reproduce the issue now, but it will takes some time, so in order to not delay the kernel updates more, I will do that as a separate one later.

so vbox related rpms now are only prebuilt modules based on 4.2.16 in upndates tree:

SRPMS:
kmod-vboxadditions-4.2.16-2.mga3.src.rpm
kmod-virtualbox-4.2.16-2.mga3.src.rpm

i586:
vboxadditions-kernel-3.10.22-desktop-1.mga3-4.2.16-2.mga3.i586.rpm
vboxadditions-kernel-3.10.22-desktop586-1.mga3-4.2.16-2.mga3.i586.rpm
vboxadditions-kernel-3.10.22-server-1.mga3-4.2.16-2.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.16-2.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.16-2.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.16-2.mga3.i586.rpm
virtualbox-kernel-3.10.22-desktop-1.mga3-4.2.16-2.mga3.i586.rpm
virtualbox-kernel-3.10.22-desktop586-1.mga3-4.2.16-2.mga3.i586.rpm
virtualbox-kernel-3.10.22-server-1.mga3-4.2.16-2.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.16-2.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.16-2.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.16-2.mga3.i586.rpm

x86_64:
vboxadditions-kernel-3.10.22-desktop-1.mga3-4.2.16-2.mga3.x86_64.rpm
vboxadditions-kernel-3.10.22-server-1.mga3-4.2.16-2.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.16-2.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.16-2.mga3.x86_64.rpm
virtualbox-kernel-3.10.22-desktop-1.mga3-4.2.16-2.mga3.x86_64.rpm
virtualbox-kernel-3.10.22-server-1.mga3-4.2.16-2.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.16-2.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.16-2.mga3.x86_64.rpm
Comment 99 David Walser 2013-12-07 00:15:46 CET
Can anything be done about it not running on my Foxconn mini system?  I haven't tried 3.10.22 yet, but 3.10.19 didn't work.
Comment 100 Thomas Backlund 2013-12-07 00:21:24 CET
(In reply to David Walser from comment #99)
> Can anything be done about it not running on my Foxconn mini system?  I
> haven't tried 3.10.22 yet, but 3.10.19 didn't work.


does kernel-linus work ? 
a git bisect would help too if you have the time
Comment 101 David Walser 2013-12-09 20:06:35 CET
Note that there appears to be a problem with the i586 kernel-server 3.10.22 package.  I got this message when installing it:
error: unpacking of archive failed on file /lib/modules/3.10.22-server-1.mga3/kernel/drivers/media/usb/cx231xx/cx231xx.ko.xz;52a61479: cpio: read failed - No such file or directory
Comment 102 David Walser 2013-12-09 20:16:08 CET
(In reply to David Walser from comment #101)
> Note that there appears to be a problem with the i586 kernel-server 3.10.22
> package.  I got this message when installing it:
> error: unpacking of archive failed on file
> /lib/modules/3.10.22-server-1.mga3/kernel/drivers/media/usb/cx231xx/cx231xx.
> ko.xz;52a61479: cpio: read failed - No such file or directory

Which caused it to leave its /lib/modules and /boot files on the system but unowned by rpm (the /usr/share/doc files were not there) and no entry created in lilo.conf.
Comment 103 David Walser 2013-12-09 20:16:47 CET
(In reply to Thomas Backlund from comment #100)
> (In reply to David Walser from comment #99)
> > Can anything be done about it not running on my Foxconn mini system?  I
> > haven't tried 3.10.22 yet, but 3.10.19 didn't work.
> 
> 
> does kernel-linus work ? 
> a git bisect would help too if you have the time

kernel-linus also does not work on this system.  I don't have time to bisect it right now, but hopefully I can find time next Saturday.
Comment 104 Thomas Backlund 2013-12-09 21:24:26 CET
(In reply to David Walser from comment #101)
> Note that there appears to be a problem with the i586 kernel-server 3.10.22
> package.  I got this message when installing it:
> error: unpacking of archive failed on file
> /lib/modules/3.10.22-server-1.mga3/kernel/drivers/media/usb/cx231xx/cx231xx.
> ko.xz;52a61479: cpio: read failed - No such file or directory

You got a broken download or some other issues on your system

packages on primary mirror ok, and so is my local mirror
Comment 105 Sander Lepik 2013-12-11 20:19:47 CET
Current btrfs-progs in updates_testing won't convert from ext4 to btrfs. Ubuntu's bug with patch: https://bugs.launchpad.net/ubuntu/+source/btrfs-tools/+bug/1228302
Comment 106 Thomas Backlund 2013-12-11 20:31:36 CET
btrfs-progs fixed for the issue in comment 105,

so rpms list for btrfs-progs:

SRPMS:
btrfs-progs-0.20-0.rc1.20130705.2.mga3.src.rpm

i586:
btrfs-progs-0.20-0.rc1.20130705.2.mga3.i586.rpm
libbtrfs0-0.20-0.rc1.20130705.2.mga3.i586.rpm
libbtrfs-devel-0.20-0.rc1.20130705.2.mga3.i586.rpm

x86_64:
btrfs-progs-0.20-0.rc1.20130705.2.mga3.x86_64.rpm
lib64btrfs0-0.20-0.rc1.20130705.2.mga3.x86_64.rpm
lib64btrfs-devel-0.20-0.rc1.20130705.2.mga3.x86_64.rpm
Comment 107 Sander Lepik 2013-12-11 21:40:52 CET
Thanks, with new btrfs-progs I was able to convert my partition successfully.
Comment 108 Thomas Backlund 2013-12-12 23:09:06 CET

All rolled up to 3.10.24, for more security fixes, no CVE yet

list of updated packages since last list:
SRPMS:
kernel-3.10.24-1.mga3.src.rpm
kernel-userspace-headers-3.10.24-1.mga3.src.rpm
kmod-vboxadditions-4.2.16-3.mga3.src.rpm
kmod-virtualbox-4.2.16-3.mga3.src.rpm
kmod-xtables-addons-2.3-7.mga3.src.rpm

kmod-broadcom-wl-6.30.223.141-6.mga3.nonfree.src.rpm
kmod-fglrx-13.250.18-4.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.38-23.mga3.nonfree.src.rpm
kmod-nvidia304-304.108-8.mga3.nonfree.src.rpm
kmod-nvidia-current-319.60-7.mga3.nonfree.src.rpm



i586:
cpupower-3.10.24-1.mga3.i586.rpm
cpupower-devel-3.10.24-1.mga3.i586.rpm
kernel-desktop-3.10.24-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-3.10.24-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.10.24-1.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.10.24-1.mga3.i586.rpm
kernel-desktop586-latest-3.10.24-1.mga3.i586.rpm
kernel-desktop-devel-3.10.24-1.mga3-1-1.mga3.i586.rpm
kernel-desktop-devel-latest-3.10.24-1.mga3.i586.rpm
kernel-desktop-latest-3.10.24-1.mga3.i586.rpm
kernel-doc-3.10.24-1.mga3.noarch.rpm
kernel-server-3.10.24-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-3.10.24-1.mga3-1-1.mga3.i586.rpm
kernel-server-devel-latest-3.10.24-1.mga3.i586.rpm
kernel-server-latest-3.10.24-1.mga3.i586.rpm
kernel-source-3.10.24-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.24-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.24-1.mga3.i586.rpm
perf-3.10.24-1.mga3.i586.rpm
vboxadditions-kernel-3.10.24-desktop-1.mga3-4.2.16-3.mga3.i586.rpm
vboxadditions-kernel-3.10.24-desktop586-1.mga3-4.2.16-3.mga3.i586.rpm
vboxadditions-kernel-3.10.24-server-1.mga3-4.2.16-3.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.16-3.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.16-3.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.16-3.mga3.i586.rpm
virtualbox-kernel-3.10.24-desktop-1.mga3-4.2.16-3.mga3.i586.rpm
virtualbox-kernel-3.10.24-desktop586-1.mga3-4.2.16-3.mga3.i586.rpm
virtualbox-kernel-3.10.24-server-1.mga3-4.2.16-3.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.16-3.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.16-3.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.16-3.mga3.i586.rpm
xtables-addons-kernel-3.10.24-desktop-1.mga3-2.3-7.mga3.i586.rpm
xtables-addons-kernel-3.10.24-desktop586-1.mga3-2.3-7.mga3.i586.rpm
xtables-addons-kernel-3.10.24-server-1.mga3-2.3-7.mga3.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-7.mga3.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-7.mga3.i586.rpm
xtables-addons-kernel-server-latest-2.3-7.mga3.i586.rpm

broadcom-wl-kernel-3.10.24-desktop-1.mga3-6.30.223.141-6.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.24-desktop586-1.mga3-6.30.223.141-6.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.24-server-1.mga3-6.30.223.141-6.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-6.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-6.mga3.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-6.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.24-desktop-1.mga3-13.250.18-4.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.24-desktop586-1.mga3-13.250.18-4.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.24-server-1.mga3-13.250.18-4.mga3.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.250.18-4.mga3.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.250.18-4.mga3.nonfree.i586.rpm
fglrx-kernel-server-latest-13.250.18-4.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.24-desktop-1.mga3-173.14.38-23.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.24-desktop586-1.mga3-173.14.38-23.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.24-server-1.mga3-173.14.38-23.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.38-23.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.38-23.mga3.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.38-23.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.24-desktop-1.mga3-304.108-8.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.24-desktop586-1.mga3-304.108-8.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.24-server-1.mga3-304.108-8.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.108-8.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.108-8.mga3.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.108-8.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.24-desktop-1.mga3-319.60-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.24-desktop586-1.mga3-319.60-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.24-server-1.mga3-319.60-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-319.60-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-319.60-7.mga3.nonfree.i586.rpm
nvidia-current-kernel-server-latest-319.60-7.mga3.nonfree.i586.rpm



x86_64:
cpupower-3.10.24-1.mga3.x86_64.rpm
cpupower-devel-3.10.24-1.mga3.x86_64.rpm
kernel-desktop-3.10.24-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.10.24-1.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.10.24-1.mga3.x86_64.rpm
kernel-desktop-latest-3.10.24-1.mga3.x86_64.rpm
kernel-doc-3.10.24-1.mga3.noarch.rpm
kernel-server-3.10.24-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-3.10.24-1.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-latest-3.10.24-1.mga3.x86_64.rpm
kernel-server-latest-3.10.24-1.mga3.x86_64.rpm
kernel-source-3.10.24-1.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.24-1.mga3.noarch.rpm
kernel-userspace-headers-3.10.24-1.mga3.x86_64.rpm
perf-3.10.24-1.mga3.x86_64.rpm
vboxadditions-kernel-3.10.24-desktop-1.mga3-4.2.16-3.mga3.x86_64.rpm
vboxadditions-kernel-3.10.24-server-1.mga3-4.2.16-3.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.16-3.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.16-3.mga3.x86_64.rpm
virtualbox-kernel-3.10.24-desktop-1.mga3-4.2.16-3.mga3.x86_64.rpm
virtualbox-kernel-3.10.24-server-1.mga3-4.2.16-3.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.16-3.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.16-3.mga3.x86_64.rpm
xtables-addons-kernel-3.10.24-desktop-1.mga3-2.3-7.mga3.x86_64.rpm
xtables-addons-kernel-3.10.24-server-1.mga3-2.3-7.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-7.mga3.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-7.mga3.x86_64.rpm

broadcom-wl-kernel-3.10.24-desktop-1.mga3-6.30.223.141-6.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.24-server-1.mga3-6.30.223.141-6.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-6.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-6.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.24-desktop-1.mga3-13.250.18-4.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.24-server-1.mga3-13.250.18-4.mga3.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.250.18-4.mga3.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.250.18-4.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.24-desktop-1.mga3-173.14.38-23.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.24-server-1.mga3-173.14.38-23.mga3.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.38-23.mga3.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.38-23.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.24-desktop-1.mga3-304.108-8.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.24-server-1.mga3-304.108-8.mga3.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.108-8.mga3.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.108-8.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.24-desktop-1.mga3-319.60-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.24-server-1.mga3-319.60-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-319.60-7.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-319.60-7.mga3.nonfree.x86_64.rpm
Comment 109 Thomas Backlund 2013-12-13 23:01:00 CET
upstream kernels also fixed:
CVE-2013-6378
CVE-2013-6379
CVE-2013-6380
CVE-2013-6381
CVE-2013-6383
Comment 110 Thomas Backlund 2013-12-13 23:14:15 CET
I've added patches for:
- kvm: division by zero in apic_get_tmcct() (CVE-2013-6367)
- kvm: cross page vapic_addr access (CVE-2013-6368)
- kvm: BUG_ON() in apic_cluster_id() (CVE-2013-6376)
- xfs: underflow bug in xfs_attrlist_by_handle() (CVE-2013-6382)
- xfs: add capability check to free eofblocks ioctl (CVE pending)

rpms to validate:

SRPMS:
kernel-3.10.24-2.mga3.src.rpm
kernel-userspace-headers-3.10.24-2.mga3.src.rpm
kmod-vboxadditions-4.2.16-4.mga3.src.rpm
kmod-virtualbox-4.2.16-4.mga3.src.rpm
kmod-xtables-addons-2.3-8.mga3.src.rpm

kmod-broadcom-wl-6.30.223.141-7.mga3.nonfree.src.rpm
kmod-fglrx-13.250.18-5.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.38-24.mga3.nonfree.src.rpm
kmod-nvidia304-304.108-9.mga3.nonfree.src.rpm
kmod-nvidia-current-319.60-8.mga3.nonfree.src.rpm



i586:
cpupower-3.10.24-2.mga3.i586.rpm
cpupower-devel-3.10.24-2.mga3.i586.rpm
kernel-desktop-3.10.24-2.mga3-1-1.mga3.i586.rpm
kernel-desktop586-3.10.24-2.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-3.10.24-2.mga3-1-1.mga3.i586.rpm
kernel-desktop586-devel-latest-3.10.24-2.mga3.i586.rpm
kernel-desktop586-latest-3.10.24-2.mga3.i586.rpm
kernel-desktop-devel-3.10.24-2.mga3-1-1.mga3.i586.rpm
kernel-desktop-devel-latest-3.10.24-2.mga3.i586.rpm
kernel-desktop-latest-3.10.24-2.mga3.i586.rpm
kernel-doc-3.10.24-2.mga3.noarch.rpm
kernel-server-3.10.24-2.mga3-1-1.mga3.i586.rpm
kernel-server-devel-3.10.24-2.mga3-1-1.mga3.i586.rpm
kernel-server-devel-latest-3.10.24-2.mga3.i586.rpm
kernel-server-latest-3.10.24-2.mga3.i586.rpm
kernel-source-3.10.24-2.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.24-2.mga3.noarch.rpm
kernel-userspace-headers-3.10.24-2.mga3.i586.rpm
perf-3.10.24-2.mga3.i586.rpm
vboxadditions-kernel-3.10.24-desktop-1.mga3-4.2.16-4.mga3.i586.rpm
vboxadditions-kernel-3.10.24-desktop586-1.mga3-4.2.16-4.mga3.i586.rpm
vboxadditions-kernel-3.10.24-server-1.mga3-4.2.16-4.mga3.i586.rpm
vboxadditions-kernel-desktop586-latest-4.2.16-4.mga3.i586.rpm
vboxadditions-kernel-desktop-latest-4.2.16-4.mga3.i586.rpm
vboxadditions-kernel-server-latest-4.2.16-4.mga3.i586.rpm
virtualbox-kernel-3.10.24-desktop-1.mga3-4.2.16-4.mga3.i586.rpm
virtualbox-kernel-3.10.24-desktop586-1.mga3-4.2.16-4.mga3.i586.rpm
virtualbox-kernel-3.10.24-server-1.mga3-4.2.16-4.mga3.i586.rpm
virtualbox-kernel-desktop586-latest-4.2.16-4.mga3.i586.rpm
virtualbox-kernel-desktop-latest-4.2.16-4.mga3.i586.rpm
virtualbox-kernel-server-latest-4.2.16-4.mga3.i586.rpm
xtables-addons-kernel-3.10.24-desktop-1.mga3-2.3-8.mga3.i586.rpm
xtables-addons-kernel-3.10.24-desktop586-1.mga3-2.3-8.mga3.i586.rpm
xtables-addons-kernel-3.10.24-server-1.mga3-2.3-8.mga3.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-8.mga3.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-8.mga3.i586.rpm
xtables-addons-kernel-server-latest-2.3-8.mga3.i586.rpm

broadcom-wl-kernel-3.10.24-desktop-1.mga3-6.30.223.141-7.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.24-desktop586-1.mga3-6.30.223.141-7.mga3.nonfree.i586.rpm
broadcom-wl-kernel-3.10.24-server-1.mga3-6.30.223.141-7.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-7.mga3.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-7.mga3.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-7.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.24-desktop-1.mga3-13.250.18-5.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.24-desktop586-1.mga3-13.250.18-5.mga3.nonfree.i586.rpm
fglrx-kernel-3.10.24-server-1.mga3-13.250.18-5.mga3.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.250.18-5.mga3.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.250.18-5.mga3.nonfree.i586.rpm
fglrx-kernel-server-latest-13.250.18-5.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.24-desktop-1.mga3-173.14.38-24.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.24-desktop586-1.mga3-173.14.38-24.mga3.nonfree.i586.rpm
nvidia173-kernel-3.10.24-server-1.mga3-173.14.38-24.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.38-24.mga3.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.38-24.mga3.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.38-24.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.24-desktop-1.mga3-304.108-9.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.24-desktop586-1.mga3-304.108-9.mga3.nonfree.i586.rpm
nvidia304-kernel-3.10.24-server-1.mga3-304.108-9.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.108-9.mga3.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.108-9.mga3.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.108-9.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.24-desktop-1.mga3-319.60-8.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.24-desktop586-1.mga3-319.60-8.mga3.nonfree.i586.rpm
nvidia-current-kernel-3.10.24-server-1.mga3-319.60-8.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-319.60-8.mga3.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-319.60-8.mga3.nonfree.i586.rpm
nvidia-current-kernel-server-latest-319.60-8.mga3.nonfree.i586.rpm



x86_64:
cpupower-3.10.24-2.mga3.x86_64.rpm
cpupower-devel-3.10.24-2.mga3.x86_64.rpm
kernel-desktop-3.10.24-2.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-3.10.24-2.mga3-1-1.mga3.x86_64.rpm
kernel-desktop-devel-latest-3.10.24-2.mga3.x86_64.rpm
kernel-desktop-latest-3.10.24-2.mga3.x86_64.rpm
kernel-doc-3.10.24-2.mga3.noarch.rpm
kernel-server-3.10.24-2.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-3.10.24-2.mga3-1-1.mga3.x86_64.rpm
kernel-server-devel-latest-3.10.24-2.mga3.x86_64.rpm
kernel-server-latest-3.10.24-2.mga3.x86_64.rpm
kernel-source-3.10.24-2.mga3-1-1.mga3.noarch.rpm
kernel-source-latest-3.10.24-2.mga3.noarch.rpm
kernel-userspace-headers-3.10.24-2.mga3.x86_64.rpm
perf-3.10.24-2.mga3.x86_64.rpm
vboxadditions-kernel-3.10.24-desktop-1.mga3-4.2.16-4.mga3.x86_64.rpm
vboxadditions-kernel-3.10.24-server-1.mga3-4.2.16-4.mga3.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.2.16-4.mga3.x86_64.rpm
vboxadditions-kernel-server-latest-4.2.16-4.mga3.x86_64.rpm
virtualbox-kernel-3.10.24-desktop-1.mga3-4.2.16-4.mga3.x86_64.rpm
virtualbox-kernel-3.10.24-server-1.mga3-4.2.16-4.mga3.x86_64.rpm
virtualbox-kernel-desktop-latest-4.2.16-4.mga3.x86_64.rpm
virtualbox-kernel-server-latest-4.2.16-4.mga3.x86_64.rpm
xtables-addons-kernel-3.10.24-desktop-1.mga3-2.3-8.mga3.x86_64.rpm
xtables-addons-kernel-3.10.24-server-1.mga3-2.3-8.mga3.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-8.mga3.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-8.mga3.x86_64.rpm

broadcom-wl-kernel-3.10.24-desktop-1.mga3-6.30.223.141-7.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-3.10.24-server-1.mga3-6.30.223.141-7.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-7.mga3.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-7.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.24-desktop-1.mga3-13.250.18-5.mga3.nonfree.x86_64.rpm
fglrx-kernel-3.10.24-server-1.mga3-13.250.18-5.mga3.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.250.18-5.mga3.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.250.18-5.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.24-desktop-1.mga3-173.14.38-24.mga3.nonfree.x86_64.rpm
nvidia173-kernel-3.10.24-server-1.mga3-173.14.38-24.mga3.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.38-24.mga3.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.38-24.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.24-desktop-1.mga3-304.108-9.mga3.nonfree.x86_64.rpm
nvidia304-kernel-3.10.24-server-1.mga3-304.108-9.mga3.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.108-9.mga3.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.108-9.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.24-desktop-1.mga3-319.60-8.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-3.10.24-server-1.mga3-319.60-8.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-319.60-8.mga3.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-319.60-8.mga3.nonfree.x86_64.rpm
Comment 111 claire robinson 2013-12-17 11:39:21 CET
mga3 32 desktop586 ok with various dkms & kmod modules

I haven't time today to go through each one sadly but can tomorrow.
Comment 112 Bill Wilkinson 2013-12-17 14:56:59 CET
Tested mga3-64 ok with dkms modules.

Server and desktop both booted normally.
Comment 113 Thomas Backlund 2013-12-17 21:06:12 CET
Updated advisory:

This kernel update provides an update to the 3.10 longterm branch,
currently 3.10.24 and fixes the following security issues:

The ipv6_create_tempaddr function in net/ipv6/addrconf.c in the Linux kernel
through 3.10 does not properly handle problems with the generation of IPv6
temporary addresses, which allows remote attackers to cause a denial of
service (excessive retries and address-generation outage), and consequently
obtain sensitive information, via ICMPv6 Router Advertisement (RA) messages.
(CVE-2013-0343)

net/ceph/auth_none.c in the Linux kernel through 3.10 allows remote attackers
to cause a denial of service (NULL pointer dereference and system crash) or
possibly have unspecified other impact via an auth_reply message that
triggers an attempted build_request operation. (CVE-2013-1059)

The dispatch_discard_io function in drivers/block/xen-blkback/blkback.c in
the Xen blkback implementation in the Linux kernel before 3.10.5 allows guest
OS users to cause a denial of service (data loss) via filesystem write
operations on a read-only disk that supports the (1) BLKIF_OP_DISCARD
(aka discard or TRIM) or (2) SCSI UNMAP feature. (CVE-2013-2140)

The HP Smart Array controller disk-array driver and Compaq SMART2 controller
disk-array driver in the Linux kernel through 3.9.4 do not initialize certain
data structures, which allows local users to obtain sensitive information from kernel memory via (1) a crafted IDAGETPCIINFO command for a /dev/ida device,
related to the ida_locked_ioctl function in drivers/block/cpqarray.c or (2)
a crafted CCISS_PASSTHRU32 command for a /dev/cciss device, related to the cciss_ioctl32_passthru function in drivers/block/cciss.c. (CVE-2013-2147)

Format string vulnerability in the register_disk function in block/genhd.c
in the Linux kernel through 3.9.4 allows local users to gain privileges by leveraging root access and writing format string specifiers to
/sys/module/md_mod/parameters/new_array in order to create a crafted /dev/md
device name. (CVE-2013-2851)

Multiple array index errors in drivers/hid/hid-core.c in the Human
Interface Device (HID) subsystem in the Linux kernel through 3.11
allow physically proximate attackers to execute arbitrary code or
cause a denial of service (heap memory corruption) via a crafted
device that provides an invalid Report ID (CVE-2013-2888).
 
drivers/hid/hid-zpff.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_ZEROPLUS is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device (CVE-2013-2889).
 
drivers/hid/hid-steelseries.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_STEELSERIES is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device. (CVE-2013-2891)

drivers/hid/hid-pl.c in the Human Interface Device (HID) subsystem in
the Linux kernel through 3.11, when CONFIG_HID_PANTHERLORD is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device (CVE-2013-2892).

The Human Interface Device (HID) subsystem in the Linux kernel
through 3.11, when CONFIG_LOGITECH_FF, CONFIG_LOGIG940_FF, or
CONFIG_LOGIWHEELS_FF is enabled, allows physically proximate
attackers to cause a denial of service (heap-based out-of-bounds
write) via a crafted device, related to (1) drivers/hid/hid-lgff.c,
(2) drivers/hid/hid-lg3ff.c, and (3) drivers/hid/hid-lg4ff.c
(CVE-2013-2893).

drivers/hid/hid-lenovo-tpkbd.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_LENOVO_TPKBD is enabled,
allows physically proximate attackers to cause a denial of service
(heap-based out-of-bounds write) via a crafted device. (CVE-2013-2894)

drivers/hid/hid-logitech-dj.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_LOGITECH_DJ
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) or obtain sensitive
information from kernel memory via a crafted device (CVE-2013-2895).

drivers/hid/hid-ntrig.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_NTRIG
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) via a crafted device
(CVE-2013-2896).

Multiple array index errors in drivers/hid/hid-multitouch.c in the
Human Interface Device (HID) subsystem in the Linux kernel through
3.11, when CONFIG_HID_MULTITOUCH is enabled, allow physically proximate
attackers to cause a denial of service (heap memory corruption, or NULL
pointer dereference and OOPS) via a crafted device (CVE-2013-2897).

drivers/hid/hid-sensor-hub.c in the Human Interface Device (HID) subsystem
in the Linux kernel through 3.11, when CONFIG_HID_SENSOR_HUB is enabled,
allows physically proximate attackers to obtain sensitive information from
kernel memory via a crafted device. (CVE-2013-2898)

drivers/hid/hid-picolcd_core.c in the Human Interface Device (HID)
subsystem in the Linux kernel through 3.11, when CONFIG_HID_PICOLCD
is enabled, allows physically proximate attackers to cause a denial
of service (NULL pointer dereference and OOPS) via a crafted device
(CVE-2013-2899).

The Linux kernel before 3.12.2 does not properly use the get_dumpable
function, which allows local users to bypass intended ptrace restrictions
or obtain sensitive information from IA64 scratch registers via a crafted application, related to kernel/ptrace.c and arch/ia64/include/asm/processor.h. 
(CVE-2013-2929)

The perf_trace_event_perm function in kernel/trace/trace_event_perf.c in the
Linux kernel before 3.12.2 does not properly restrict access to the perf
subsystem, which allows local users to enable function tracing via a crafted application. (CVE-2013-2930)

The udp_v6_push_pending_frames function in net/ipv6/udp.c in the IPv6
implementation in the Linux kernel through 3.10.3 makes an incorrect
function call for pending data, which allows local users to cause a
denial of service (BUG and system crash) via a crafted application that
uses the UDP_CORK option in a setsockopt system call (CVE-2013-4162).

The ip6_append_data_mtu function in net/ipv6/ip6_output.c in the IPv6
implementation in the Linux kernel through 3.10.3 does not properly
maintain information about whether the IPV6_MTU setsockopt option
had been specified, which allows local users to cause a denial of
service (BUG and system crash) via a crafted application that uses
the UDP_CORK option in a setsockopt system call (CVE-2013-4163).

The validate_event function in arch/arm/kernel/perf_event.c in the
Linux kernel before 3.10.8 on the ARM platform allows local users to
gain privileges or cause a denial of service (NULL pointer dereference
and system crash) by adding a hardware event to an event group led
by a software event (CVE-2013-4254)

Interpretation conflict in drivers/md/dm-snap-persistent.c in the Linux
kernel through 3.11.6 allows remote authenticated users to obtain sensitive information or modify data via a crafted mapping to a snapshot block device. (CVE-2013-4299)

The skb_flow_dissect function in net/core/flow_dissector.c in the
Linux kernel through 3.12 allows remote attackers to cause a denial
of service (infinite loop) via a small value in the IHL field of a
packet with IPIP encapsulation (CVE-2013-4348).
 
The IPv6 SCTP implementation in net/sctp/ipv6.c in the Linux kernel
through 3.11.1 uses data structures and function calls that do not
trigger an intended configuration of IPsec encryption, which allows
remote attackers to obtain sensitive information by sniffing the
network (CVE-2013-4350).

net/ipv6/ip6_output.c in the Linux kernel through 3.11.4 does not
properly determine the need for UDP Fragmentation Offload (UFO)
processing of small packets after the UFO queueing of a large packet,
which allows remote attackers to cause a denial of service (memory
corruption and system crash) or possibly have unspecified other
impact via network traffic that triggers a large response packet
(CVE-2013-4387).

The Linux kernel before 3.12, when UDP Fragmentation Offload (UFO) is
enabled, does not properly initialize certain data structures, which
allows local users to cause a denial of service (memory corruption and
system crash) or possibly gain privileges via a crafted application
that uses the UDP_CORK option in a setsockopt system call and
sends both short and long packets, related to the ip_ufo_append_data
function in net/ipv4/ip_output.c and the ip6_ufo_append_data function
in net/ipv6/ip6_output.c (CVE-2013-4470).

Buffer overflow in the oz_cdev_write function in
drivers/staging/ozwpan/ozcdev.c in the Linux kernel before 3.12 allows local
users to cause a denial of service or possibly have unspecified other impact
via a crafted write operation. (CVE-2013-4513)

Array index error in the kvm_vm_ioctl_create_vcpu function in 
virt/kvm/kvm_main.c in the KVM subsystem in the Linux kernel through 3.12.5
allows local users to gain privileges via a large id value. 
(CVE-2013-4587)

The apic_get_tmcct function in arch/x86/kvm/lapic.c in the KVM subsystem in
the Linux kernel through 3.12.5 allows guest OS users to cause a denial of
service (divide-by-zero error and host OS crash) via crafted modifications
of the TMICT value. (CVE-2013-6367)

The KVM subsystem in the Linux kernel through 3.12.5 allows local users to
gain privileges or cause a denial of service (system crash) via a VAPIC synchronization operation involving a page-end address.  (CVE-2013-6368)

The recalculate_apic_map function in arch/x86/kvm/lapic.c in the KVM
subsystem  in the Linux kernel through 3.12.5 allows guest OS users to
cause a denial of service (host OS crash) via a crafted ICR write operation
in x2apic mode. (CVE-2013-6376)

The lbs_debugfs_write function in drivers/net/wireless/libertas/debugfs.c
in the Linux kernel through 3.12.1 allows local users to cause a denial of
service (OOPS) by leveraging root privileges for a zero-length write
operation. (CVE-2013-6378)

The aac_send_raw_srb function in drivers/scsi/aacraid/commctrl.c in the Linux
kernel through 3.12.1 does not properly validate a certain size value, which
allows local users to cause a denial of service (invalid pointer dereference)
or possibly have unspecified other impact via an FSACTL_SEND_RAW_SRB ioctl
call that triggers a crafted SRB command. (CVE-2013-6380)

Buffer overflow in the qeth_snmp_command function in 
drivers/s390/net/qeth_core_main.c in the Linux kernel through 3.12.1 allows
local users to cause a denial of service or possibly have unspecified other
impact via an  SNMP ioctl call with a length value that is incompatible with
the command-buffer size. (CVE-2013-6381)

Multiple buffer underflows in the XFS implementation in the Linux kernel
through 3.12.1 allow local users to cause a denial of service (memory
corruption) or possibly have unspecified other impact by leveraging the
CAP_SYS_ADMIN capability for a (1) XFS_IOC_ATTRLIST_BY_HANDLE or (2)
XFS_IOC_ATTRLIST_BY_HANDLE_32 ioctl call with a crafted length value,
related to the xfs_attrlist_by_handle function in fs/xfs/xfs_ioctl.c
and the xfs_compat_attrlist_by_handle function in fs/xfs/xfs_ioctl32.c. (CVE-2013-6382)

The aac_compat_ioctl function in drivers/scsi/aacraid/linit.c in the Linux
kernel before 3.11.8 does not require the CAP_SYS_RAWIO capability, which
allows local users to bypass intended access restrictions via a crafted ioctl
call. (CVE-2013-6383)

Other fixes:
- xfs: add capability check to free eofblocks ioctl (CVE pending)
- cpufreq: ondemand: Change the calculation of target frequency
- ndiswrapper is updated to 1.59

Also with this update we provide updated graphical drivers,
firmwares, tools and apps to provide better support for the
new kernel (see the  referenced srpms list for all packages)

For other -stable fixes, read the referenced changelogs.

References:
http://kernelnewbies.org/Linux_3.9
http://kernelnewbies.org/Linux_3.10
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.1
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.2
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.3
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.4
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.5
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.6
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.7
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.8
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.9
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.10
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.11
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.12
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.13
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.14
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.15
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.16
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.17
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.18
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.19
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.20
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.21
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.22
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.23
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.24
Comment 114 Thomas Backlund 2013-12-17 21:16:07 CET
Updated srpms list for the advisory:

SRPMS:
btrfs-progs-0.20-0.rc1.20130705.2.mga3.src.rpm
drakxtools-15.54.1-3.mga3.src.rpm
kernel-3.10.24-2.mga3.src.rpm
kernel-firmware-20130624-1.mga3.src.rpm
kernel-userspace-headers-3.10.24-2.mga3.src.rpm
kmod-vboxadditions-4.2.16-4.mga3.src.rpm
kmod-virtualbox-4.2.16-4.mga3.src.rpm
kmod-xtables-addons-2.3-8.mga3.src.rpm
ldetect-lst-0.1.330-1.mga3.src.rpm
libdrm-2.4.46-1.mga3.src.rpm
mesa-9.1.7-1.1.mga3.src.rpm
x11-driver-video-ati-7.2.0-1.mga3.src.rpm
x11-driver-video-intel-2.21.15-1.mga3.src.rpm
x11-driver-video-nouveau-1.0.9-1.mga3.src.rpm
xtables-addons-2.3-2.mga3.src.rpm

broadcom-wl-6.30.223.141-1.mga3.nonfree.src.rpm
fglrx-13.250.18-0.1.mga3.nonfree.src.rpm
kernel-firmware-nonfree-20130624-1.mga3.nonfree.src.rpm
kmod-broadcom-wl-6.30.223.141-7.mga3.nonfree.src.rpm
kmod-fglrx-13.250.18-5.mga3.nonfree.src.rpm
kmod-nvidia173-173.14.38-24.mga3.nonfree.src.rpm
kmod-nvidia304-304.108-9.mga3.nonfree.src.rpm
kmod-nvidia-current-319.60-8.mga3.nonfree.src.rpm
nvidia173-173.14.38-1.mga3.nonfree.src.rpm
nvidia304-304.108-2.mga3.nonfree.src.rpm
nvidia-current-319.60-1.mga3.nonfree.src.rpm
radeon-firmware-20130626-2.mga3.nonfree.src.rpm

mesa-9.1.7-1.1.mga3.tainted.src.rpm
Comment 115 Thomas Backlund 2013-12-18 00:46:43 CET
Update pushed:
http://advisories.mageia.org/MGASA-2013-0371.html

Note You need to log in before you can comment on or make changes to this bug.